; ==============================================================
;   Радиолюбительский прибор для контроля цифровых микросхем 
;
;
;
;
;
; ===============================================================

ScrAddrStart .equ 0x9000
ScrAddrEnd   .equ 0xbfff

; ---------------------------------------------------------------
; Стандартные подпрограммы монитора
;
; ---------------------------------------------------------------

ColdStart      .equ 0xf800            ; холодный старт системы
SymbInput      .equ 0xf803            ; ввод символа с клавиатуры. A - код. Регистры HL, DE, BC сохраняются
TapeInput      .equ 0xf806            ; ввод байта с ленты. A - код, если ошибка, то код 3F и флаг переноса. Регистры HL, DE, BC сохраняются
SymbToScr      .equ 0xf809            ; С - код символа на экран (500 симв/сек). Регистры HL, DE, BC, AF сохраняются
MsgToScr       .equ 0xf818            ; вывод строки символов на экран. В HL - адрес начальной ячейки. Регистры DE, BC сохраняются
KeyInput       .equ 0xf81b            ; ввод кода нажатой клавиши. A - код клавиши, иначе - FF. Регистры HL, DE, BC сохраняются
ByteScr        .equ 0xf821            ; Чтение байта с экрана. В А - код в КОИ-8. Регистры HL, DE, BC сохраняются
SetFileType    .equ 0xf82d            ; Установка типа файла.  HL - начальный адрес. Подпрограмма использует первы три символа


            mvi c,0x55          ; $0000 0e 55      
            nop                 ; $0002 00
            rst 7               ; $0003 ff
            cmp a               ; $0004 bf
            lxi h,ScrAddrStart  ; $0005 21 00 90    ; установка начального адреса экранного ОЗУ - 9000h
m001:       mov m,c             ; $0008 71         ; пишем содержимое регистра С в ячейку памяти М (адрес в HL)
            mov a,c             ; $0009 79         ; пишем содержимое регистра С в А
            rlc                 ; $000a 07         ; сдвиг аккумулятора влево
            mov c,a             ; $000b 4f         ; пишем содержимое А в регистр С
            call pp1            ; $000c cd 36 00   ; вызов подпрограммы
            jnc m001            ; $000f d2 08 00   ; если результат <> 0, то переход на m001
            lxi h,0x0040        ; $0012 21 40 00    ; адрес строки для вывода на экран
            call MsgToScr       ; $0015 cd 18 f8
            call pp2            ; $0018 cd c1 00
            call pp3            ; $001b cd 74 01
            nop                 ; $001e 00
            daa                 ; $001f 27
            nop                 ; $0020 00
            call pp4            ; $0021 cd 2a 00
            jmp m003            ; $0024 c3 d0 01
            jmp m002            ; $0027 c3 35 00

; ----------------------------------------------
;
; ----------------------------------------------
pp4:        lxi h,0x0027        ; $002a 21 27 00
            mvi m,0xc3          ; $002d 36 c3
            lxi h,0x0035        ; $002f 21 35 00
            shld 0x0028         ; $0032 22 28 00
m002:       ret                 ; $0035 c9


; ----------------------------------------------
;
; ----------------------------------------------
pp1:        inx h      ; $0036 23      ; в HL - начальный адрес экрана
            mov a,h    ; $0037 7c      ; пишем регистр H в А
            ora l      ; $0038 b5      ; операция ИЛИ реигстар L с A. В А находится значение из H
            stc        ; $0039 37      ; установить флаг переноса CF = 1
            rz         ; $003a c8      ; если = 0, то возврат из подпрограммы
            mov a,e    ; $003b 7b      ; пишем регистр E в А
            sub l      ; $003c 95      ; вычитаем L из A
            mov a,d    ; $003d 7a      ; пишем регистр D в А
            sbb h      ; $003e 9c      ; вычитаем с заемом H из А
            ret        ; $003f c9      ; возврат из подпрограммы
; ----------------------------------------------

; ----------------------------------------------
; Выводим строку на экран 
; ----------------------------------------------
; from 0x0040 to 0x0054
.byte 0x1b,0x59,0x25,0x39,0x6c,0x6f,0x7b,0x6b,0x61,0x72,0x65,0x77,0x20,0x6d,0x2e,0x61,0x2e,0x1b,0x59,0x2c,0x31
;     АР2        %    9    Л    О     Ш    К    А    Р    Е    В         М    .    А    .   АР2       ,    1
;$0040 1b         dcx d
;$0041 59         mov e,c
;$0042 25         dcr h
;$0043 39         dad sp
;$0044 6c         mov l,h
;$0045 6f         mov l,a
;$0046 7b         mov a,e
;$0047 6b         mov l,e
;$0048 61         mov h,c
;$0049 72         mov m,d
;$004a 65         mov h,l
;$004b 77         mov m,a
;$004c 20         ???
;$004d 6d         mov l,l
;$004e 2e 61      mvi l,$61
;$0050 2e 1b      mvi l,$1b
;$0052 59         mov e,c
;$0053 2c         inr l
;$0054 31         ???

; from 0x0055 to 0x0069
.byte 0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,
;
;$0055 20         ???
;$0056 20         ???
;$0057 20         ???
;$0058 20         ???
;$0059 20         ???
;$005a 20         ???
;$005b 20         ???
;$005c 20         ???
;$005d 20         ???
;$005e 20         ???
;$005f 20         ???
;$0060 20         ???
;$0061 20         ???
;$0062 20         ???
;$0063 20         ???
;$0064 20         ???
;$0065 20         ???
;$0066 20         ???
;$0067 20         ???
;$0068 20         ???
;$0069 20         ???

; from 0x006a to 0x0071
.byte 0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20
;
;$006a 20         ???
;$006b 20         ???
;$006c 20         ???
;$006d 20         ???
;$006e 20         ???
;$006f 20         ???
;$0070 20         ???
;$0071 20         ???


; from 0x0072 to 0x0087
.byte 0x1b,0x59,0x2d,0x31,0x20,0x70,0x72,0x6f,0x77,0x65,0x72,0x6b,0x61,0x20,0x63,0x69,0x66,0x72,0x6f,0x77,0x79,0x68
;      АР2        -   1          П    Р    О    В    Е    Р    К    А         Ц    И    Ф    Р    О    В    Ы    Х
;$0072 1b         dcx d
;$0073 59         mov e,c
;$0074 2d         dcr l
;$0075 31
;$0076 20
;$0077 70
;$0078 72         mov m,d
;$0079 6f         mov l,a
;$007a 77         mov m,a
;$007b 65         mov h,l
;$007c 72         mov m,d
;$007d 6b         mov l,e
;$007e 61         mov h,c
;$007f 20         ???
;$0080 63         mov h,e
;$0081 69         mov l,c
;$0082 66         mov h,m
;$0083 72         mov m,d
;$0084 6f         mov l,a
;$0085 77         mov m,a
;$0086 79         mov a,c
;$0087 68         mov l,b


; from 0x0088 to 0x0096
.byte 0x20,0x6d,0x69,0x6b,0x72,0x6f,0x73,0x68,0x65,0x6d,0x20,0x1b,0x59,0x2e,0x31
;            М    И    К    Р    О    С    Х    Е    М        АР2        .    1
;$0088 20         ???
;$0089 6d         mov l,l
;$008a 69         mov l,c
;$008b 6b         mov l,e
;$008c 72         mov m,d
;$008d 6f         mov l,a
;$008e 73         mov m,e
;$008f 68         mov l,b
;$0090 65         mov h,l
;$0091 6d         mov l,l
;$0092 20         ???
;$0093 1b         dcx d
;$0094 59         mov e,c
;$0095 2e
;$0096 31

; from 0x0097 to 0x00b3
.byte 0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20
.byte 0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20
;
;$0097 20         ???
;$0098 20         ???
;$0099 20         ???
;$009a 20         ???
;$009b 20         ???
;$009c 20         ???
;$009d 20         ???
;$009e 20         ???
;$009f 20         ???
;$00a0 20         ???
;$00a1 20         ???
;$00a2 20         ???
;$00a3 20         ???
;$00a4 20         ???
;$00a5 20         ???
;$00a6 20         ???
;$00a7 20         ???
;$00a8 20         ???
;$00a9 20         ???
;$00aa 20         ???
;$00ab 20         ???
;$00ac 20         ???
;$00ad 20         ???
;$00ae 20         ???
;$00af 20         ???
;$00b0 20         ???
;$00b1 20         ???
;$00b2 20         ???
;$00b3 20         ???


; from 0x00b4 to 0x00c0
.byte 0x1b,0x59,0x34,0x3b,0x31,0x39,0x39,0x33,0x20,0x67,0x6f,0x64,0x00
;      АР2        4    ;    1    9    9    3         Г    О    Д
;$00b4 1b         dcx d
;$00b5 59         mov e,c
;$00b6 34         inr m
;$00b7 3b         dcx sp
;$00b8 31
;$00b9 39
;$00ba 39
;$00bb 33         inx sp
;$00bc 20         ???
;$00bd 67         mov h,a
;$00be 6f         mov l,a
;$00bf 64         mov h,h
;$00c0 00         nop

; ----------------------------------------------
;
; ----------------------------------------------
pp2:        lxi h,0xa510        ; $00c1 21 10 a5   ; пишем в HL число a510
            lxi d,0x00e2        ; $00c4 11 e2 00   ; пишем в DE число 0x00e2 - адрес ячейки данных
            mvi b,0x10          ; $00c7 06 10      ; пишем в В число 0x10
            mvi c,0x05          ; $00c9 0e 05      ; пишем в С число 0x05
   m004:    ldax d              ; $00cb 1a         ; пишем в A число из ячейки по адресу из DE 
            mov m,a             ; $00cc 77
            inx h               ; $00cd 23
            inx d               ; $00ce 13
            dcr b               ; $00cf 05
            jnz m004            ; $00d0 c2 cb 00
            mvi b,0x10          ; $00d3 06 10
            lxi h,0xa510        ; $00d5 21 10 a5
            mvi a,0x06          ; $00d8 3e 06
            sub c               ; $00da 91
            add h               ; $00db 84
            mov h,a             ; $00dc 67
            dcr c               ; $00dd 0d
            jnz m004            ; $00de c2 cb 00
            ret                 ; $00e1 c9
; ----------------------------------------------


$00e2 00         nop
$00e3 0f         rrc
$00e4 08         ???
$00e5 00         nop
$00e6 14         inr d
$00e7 00         nop
$00e8 22 00 41   shld $4100
$00eb 00         nop
$00ec 80         add b
$00ed ff         rst 7
$00ee 80         add b
$00ef 41         mov b,c
$00f0 3e 00      mvi a,$00
$00f2 00         nop
$00f3 fe 01      cpi $01
$00f5 00         nop
$00f6 01 01 01   lxi b,$0101
$00f9 01 00 00   lxi b,$0000
$00fc 80         add b
$00fd 80         add b
$00fe 00         nop
$00ff 00         nop
$0100 00         nop
$0101 00         nop
$0102 00         nop
$0103 3c         inr a
$0104 42         mov b,d
$0105 81         add c
$0106 42         mov b,d
$0107 24         inr h
$0108 7e         mov a,m
$0109 18         ???
$010a 99         sbb c
$010b 5a         mov e,d
$010c 3c         inr a
$010d 18         ???
$010e 18         ???
$010f 00         nop
$0110 00         nop
$0111 00         nop
$0112 00         nop
$0113 7f         mov a,a
$0114 80         add b
$0115 00         nop
$0116 80         add b
$0117 80         add b
$0118 80         add b
$0119 80         add b
$011a 01 00 02   lxi b,$0200
$011d 03         inx b
$011e 02         stax b
$011f 01 00 00   lxi b,$0000
$0122 00         nop
$0123 e0         rpo
$0124 20         ???
$0125 00         nop
$0126 50         mov d,b
$0127 00         nop
$0128 88         adc b
$0129 00         nop
$012a 04         inr b
$012b 00         nop
$012c 02         stax b
$012d fe 02      cpi $02
$012f 04         inr b
$0130 f8         rm
$0131 00         nop

;--------------------------------------------------
;
; в HL передан адрес ячейки размещения данных
;
;--------------------------------------------------
pp5:     mov d,m      ; $0132 56          ; из ячейки M по адресу в HL загружаем байт в регистр D: b4
         inx h        ; $0133 23          ; инкремент HL
         mov e,m      ; $0134 5e          ; из ячейки M по адресу в HL загружаем байт в регистр E
         inx h        ; $0135 23          ; инкремент HL
         mov b,m      ; $0136 46          ; из ячейки M по адресу в HL загружаем байт в регистр B
         xra a        ; $0137 af          ; очистка аккумулятора А
         cmp d        ; $0138 ba          ; сравниваем содержимое A и D
         jnz m005     ; $0139 c2 3e 01    ; если "не ноль", то переход на метку M005
         cmp e        ; $013c bb          ; сравниваем содержимое A и E
         rz           ; $013d c8          ; если ноль, то выход из подпрограммы
   m005: push h       ; $013e e5          ; сохраняем HL в стеке
         lxi h,0xe000 ; $013f 21 00 e0    ; пишем в HL начальный адрес ПЗУ №5
         mov m,d      ; $0142 72          ; из регистра D пишем в ячейку M, адресуему по HL
         call pp6     ; $0143 cd 6d 01    ;
         mov m,e      ; $0146 73          ; из регистра E пишем в ячейку M, адресуему по HL
         call pp6     ; $0147 cd 6d 01    ;
         lxi h,0xe002 ; $014a 21 02 e0    ;
         mov m,b      ; $014d 70          ;
         mov a,b      ; $014e 78          ;
         ral          ; $014f 17          ;
         ral          ; $0150 17          ;
         ral          ; $0151 17          ;
         ral          ; $0152 17          ;
         cpi 0x10     ; $0153 fe 10       ;
         jnc m006     ; $0155 d2 5a 01    ;
         mvi a,0xff   ; $0158 3e ff       ;
   m006: mov e,a      ; $015a 5f          ;
         mov d,b      ; $015b 50          ;
   m008: mov b,d      ; $015c 42          ;
         call pp6     ; $015d cd 6d 01    ;
   m009: dcr b        ; $0160 05          ;
         jnz m009     ; $0161 c2 60 01    ;
         dcr e        ; $0164 1d          ;
         jnz m008     ; $0165 c2 5c 01    ;
         pop h        ; $0168 e1          ;
         inx h        ; $0169 23          ;
         jmp pp5      ; $016a c3 32 01    ;
;--------------------------------------------------
;
; ???? подпрограмма задержки ????
;--------------------------------------------------
pp6:     mvi c,0x00   ; $016d 0e 00       ; в регистр C пишем 0x00 
   m007: dcr c        ; $016f 0d          ; уменьшаем реигстр C, то есть - декремент
         jnz m007     ; $0170 c2 6f 01    ; если не ноль, то переход на M007, то есть опять декремент
         ret          ; $0173 c9          ;

;--------------------------------------------------
;
;
;--------------------------------------------------
pp3:             lxi h,$018d     ; $0174 21 8d 01
                 call pp5        ; $0177 cd 32 01
                 lxi h,$01b4     ; $017a 21 b4 01
                 call pp5        ; $017d cd 32 01
                 lxi h,$018d     ; $0180 21 8d 01
                 call pp5        ; $0183 cd 32 01
                 lxi h,$01c0     ; $0186 21 c0 01
                 call pp5        ; $0189 cd 32 01
                 ret             ; $018c c9
;--------------------------------------------------
;
;------------------------------------------------
.byte 0xb4,0x17,0x08
;$018d b4         ora h
;$018e 17         ral
;$018f 08         ???

.byte 0xb4,0x17,0x08,0x5f,0x16,0x08,0xee,0x13,0x08,0xee,0x13,0x08,0x5f,0x16,0x08,0xb4
;$0190 b4         ora h
;$0191 17         ral
;$0192 08         ???
;$0193 5f         mov e,a
;$0194 16 08      mvi d,$08
;$0196 ee 13      xri $13
;$0198 08         ???
;$0199 ee 13      xri $13
;$019b 08         ???
;$019c 5f         mov e,a
;$019d 16 08      mvi d,$08
;$019f b4         ora h

.byte 0x17,0x08,0x9b,0x1a,0x08,0xdd,0x1d,0x08,0xdd,0x1d,0x08,0x9b,0x1a,0x08,0xb4,0x17
;$01a0 17         ral
;$01a1 08         ???
;$01a2 9b         sbb e
;$01a3 1a         ldax d
;$01a4 08         ???
;$01a5 dd         ???
;$01a6 1d         dcr e
;$01a7 08         ???
;$01a8 dd         ???
;$01a9 1d         dcr e
;$01aa 08         ???
;$01ab 9b         sbb e
;$01ac 1a         ldax d
;$01ad 08         ???
;$01ae b4         ora h
;$01af 17         ral

.byte 0x08,0x00,0x00
;$01b0 08         ???
;$01b1 00         nop
;$01b2 00         nop
;$01b3 00         nop

; ------------------------------------
.byte 0xb4,0x17,0x0c,0x9b,0x1a,0x04,0x9b,0x1a,0x10,0x00,0x00,0x00
;$01b4 b4         ora h
;$01b5 17         ral
;$01b6 0c         inr c
;$01b7 9b         sbb e
;$01b8 1a         ldax d
;$01b9 04         inr b
;$01ba 9b         sbb e
;$01bb 1a         ldax d
;$01bc 10         ???
;$01bd 00         nop
;$01be 00         nop
;$01bf 00         nop

;-----------------------------------
.byte 0x9b,0x1a,0x0c,0xdd,0x1d,0x04,0xdd,0x1d,0x10,0x00,0x00,0x00,0x00,0xff,0x00,0xff
;$01c0 9b         sbb e
;$01c1 1a         ldax d
;$01c2 0c         inr c
;$01c3 dd         ???
;$01c4 1d         dcr e
;$01c5 04         inr b
;$01c6 dd         ???
;$01c7 1d         dcr e
;$01c8 10         ???
;$01c9 00         nop
;$01ca 00         nop
;$01cb 00         nop
;$01cc 00         nop
;$01cd ff         rst 7
;$01ce 00         nop
;$01cf ff         rst 7

;-----------------------------------

   m003:          mvi c,0x55           ; $01d0 0e 55
                  lxi d,ScrAddrEnd     ; $01d2 11 ff bf
                  lxi h,ScrAddrStart   ; $01d5 21 00 90
   m010:          mov m,c              ; $01d8 71
                  mov a,c              ; $01d9 79
                  rlc                  ; $01da 07
                  mov c,a              ; $01db 4f
                  call pp1             ; $01dc cd 36 00
                  jnc m010             ; $01df d2 d8 01
                  lxi h,$01d1          ; $01e2 21 d1 01
                  mvi m,0x00           ; $01e5 36 00
                  lhld $02fa           ; $01e7 2a fa 02     : в ячейке памяти значение 0xbf
                  shld $01d3           ; $01ea 22 d3 01
                  inr h                ; $01ed 24
                  shld $02fa           ; $01ee 22 fa 02     : в ячейке памяти значение 0xbf
                  lhld $02fc           ; $01f1 2a fc 02     : в ячейке памяти значение 0x40
                  shld $01d6           ; $01f4 22 d6 01
                  inr h                ; $01f7 24
                  shld $02fc           ; $01f8 22 fc 02     : в ячейке памяти значение 0x40
                  mvi a,0xbc           ; $01fb 3e bc
                  cmp h                ; $01fd bc
                  jnz m003             ; $01fe c2 d0 01
                  lxi h,$01d1          ; 
                  mvi m,0x55           ; $0204 36 55
                  lxi h,$9440          ; $0206 21 40 94
                  shld $02fc           ; $0209 22 fc 02     : в ячейке памяти значение 0x40
                  lxi h,ScrAddrStart   ; $020c 21 00 90
                  shld $01d6           ; $020f 22 d6 01
                  lxi h,$94bf          ; $0212 21 bf 94
                  shld $02fa           ; $0215 22 fa 02     : в ячейке памяти значение 0xbf
                  lxi h,ScrAddrEnd     ; $0218 21 ff bf
                  shld $01d3           ; $021b 22 d3 01
                  call pp2             ; $021e cd c1 00
                  lxi h,$0249          ; $0221 21 49 02   ; текстовые данные определены
                  call MsgToScr        ; $0224 cd 18 f8
                  call pp3             ; $0227 cd 74 01
   m022:          call KeyInput        ; $022a cd 1b f8
                  cpi 0x31             ; $022d fe 31
                  jz m018              ; $022f ca f0 10
                  cpi 0x32             ; $0232 fe 32
                  jz m019              ; $0234 ca 00 03
                  cpi 0x33             ; $0237 fe 33
                  jz m020              ; $0239 ca a0 09
                  cpi 0x34             ; $023c fe 34
                  jz m021              ; $023e ca 50 0c
                  cpi 0x35             ; $0241 fe 35
                  jz ColdStart         ; $0243 ca 00 f8
                  jmp m022             ; $0246 c3 2a 02s
;-----------------------------------

; from 0x0249 to 0x024f
.byte 0x1b,0x59,0x2b,0x2c,0x31,0x2e,0x20
;      АР2        +   ,    1     .
;$0249 1b         dcx d
;$024a 59         mov e,c
;$024b 2b         dcx h
;$024c 2c         inr l
;$024d 31
;$024e 2e
;$024f 20

; from 0x0250 to 0x025f
.byte 0x70,0x6f,0x64,0x67,0x6f,0x74,0x6f,0x77,0x6b,0x61,0x20,0x6b,0x20,0x72,0x61,0x62
;       П    О    Д    Г    О    Т    О    В    К    А         К         Р    А    Б
;$0250 70         mov m,b
;$0251 6f         mov l,a
;$0252 64         mov h,h
;$0253 67         mov h,a
;$0254 6f         mov l,a
;$0255 74         mov m,h
;$0256 6f         mov l,a
;$0257 77         mov m,a
;$0258 6b         mov l,e
;$0259 61         mov h,c
;$025a 20         ???
;$025b 6b         mov l,e
;$025c 20         ???
;$025d 72         mov m,d
;$025e 61         mov h,c
;$025f 62         mov h,d

; from 0x0260 to 0x026f
.byte 0x6f,0x74,0x65,0x1b,0x59,0x2c,0x2c,0x32,0x2e,0x20,0x70,0x72,0x6f,0x77,0x65,0x72
;       О    Т    Е   АР2        ,    ,    2    .         П    Р    О    В    Е    Р
;$0260 6f         mov l,a
;$0261 74         mov m,h
;$0262 65         mov h,l
;$0263 1b         dcx d
;$0264 59         mov e,c
;$0265 2c         inr l
;$0266 2c         inr l
;$0267 32
;$0268 2e
;$0269 20   sta $202e
;$026a 70         mov m,b
;$026b 72         mov m,d
;$026c 6f         mov l,a
;$026d 77         mov m,a
;$026e 65         mov h,l
;$026f 72         mov m,d

; from 0x0270 to 0x027f
.byte 0x6b,0x61,0x20,0x69,0x6d,0x73,0x20,0x6e,0x61,0x20,0x66,0x75,0x6e,0x6b,0x63,0x69
;       К    А         И    М    С         Н    А         Ф    У    Н    К    Ц    И
;$0270 6b         mov l,e
;$0271 61         mov h,c
;$0272 20         ???
;$0273 69         mov l,c
;$0274 6d         mov l,l
;$0275 73         mov m,e
;$0276 20         ???
;$0277 6e         mov l,m
;$0278 61         mov h,c
;$0279 20         ???
;$027a 66         mov h,m
;$027b 75         mov m,l
;$027c 6e         mov l,m
;$027d 6b         mov l,e
;$027e 63         mov h,e
;$027f 69         mov l,c

; from 0x0280 to 0x028f
.byte 0x6f,0x6e,0x69,0x72,0x6f,0x77,0x61,0x6e,0x69,0x65,0x1b,0x59,0x2d,0x2c,0x33,0x2e
;       О    Н    И    Р    О    В    А    Н    И    Е   АР2        -    ,    3    .
;$0280 6f         mov l,a
;$0281 6e         mov l,m
;$0282 69         mov l,c
;$0283 72         mov m,d
;$0284 6f         mov l,a
;$0285 77         mov m,a
;$0286 61         mov h,c
;$0287 6e         mov l,m
;$0288 69         mov l,c
;$0289 65         mov h,l
;$028a 1b         dcx d
;$028b 59         mov e,c
;$028c 2d         dcr l
;$028d 2c         inr l
;$028e 33         inx sp
;$028f 2e

; from 0x0290 to 0x029f
.byte 0x20,0x6f,0x70,0x72,0x65,0x64,0x65,0x6c,0x65,0x6e,0x69,0x65,0x20,0x74,0x69,0x70
;            О    П    Р    Е    Д    Е    Л    Е    Н    И    Е         Т    И    П
;$0290 20      mvi l,$20
;$0291 6f         mov l,a
;$0292 70         mov m,b
;$0293 72         mov m,d
;$0294 65         mov h,l
;$0295 64         mov h,h
;$0296 65         mov h,l
;$0297 6c         mov l,h
;$0298 65         mov h,l
;$0299 6e         mov l,m
;$029a 69         mov l,c
;$029b 65         mov h,l
;$029c 20         ???
;$029d 74         mov m,h
;$029e 69         mov l,c
;$029f 70         mov m,b

; from 0x02a0 to 0x02af
.byte 0x61,0x20,0x6d,0x69,0x6b,0x72,0x6f,0x73,0x68,0x65,0x6d,0x1b,0x59,0x2e,0x2c,0x34
;       А         М    И    К    Р    О    С    Х    Е    М   АР2        .    ,    4
;$02a0 61         mov h,c
;$02a1 20         ???
;$02a2 6d         mov l,l
;$02a3 69         mov l,c
;$02a4 6b         mov l,e
;$02a5 72         mov m,d
;$02a6 6f         mov l,a
;$02a7 73         mov m,e
;$02a8 68         mov l,b
;$02a9 65         mov h,l
;$02aa 6d         mov l,l
;$02ab 1b         dcx d
;$02ac 59         mov e,c
;$02ad 2e
;$02ae 2c      mvi l,$2c
;$02af 34         inr m


; from 0x02b0 to 0x02bf
.byte 0x2e,0x20,0x70,0x6f,0x69,0x73,0x6b,0x20,0x61,0x6e,0x61,0x6c,0x6f,0x67,0x6f,0x77
;       .         П    О    И    С    К         А    Н    А    Л    О    Г    О    В
;$02b0 2e
;$02b1 20      mvi l,$20
;$02b2 70         mov m,b
;$02b3 6f         mov l,a
;$02b4 69         mov l,c
;$02b5 73         mov m,e
;$02b6 6b         mov l,e
;$02b7 20         ???
;$02b8 61         mov h,c
;$02b9 6e         mov l,m
;$02ba 61         mov h,c
;$02bb 6c         mov l,h
;$02bc 6f         mov l,a
;$02bd 67         mov h,a
;$02be 6f         mov l,a
;$02bf 77         mov m,a

; from 0x02c0 to 0x02cf
.byte 0x20,0x7a,0x61,0x72,0x75,0x62,0x65,0x76,0x6e,0x79,0x68,0x20,0x69,0x6d,0x73,0x1b
;            Э    А    Р    У    Б    У    Ж    Н    Ы    Х         И    М    С   АР2
;$02c0 20         ???
;$02c1 7a         mov a,d
;$02c2 61         mov h,c
;$02c3 72         mov m,d
;$02c4 75         mov m,l
;$02c5 62         mov h,d
;$02c6 65         mov h,l
;$02c7 76         hlt
;$02c8 6e         mov l,m
;$02c9 79         mov a,c
;$02ca 68         mov l,b
;$02cb 20         ???
;$02cc 69         mov l,c
;$02cd 6d         mov l,l
;$02ce 73         mov m,e
;$02cf 1b         dcx d

; from 0x02d0 to 0x02df
.byte 0x59,0x2f,0x2c,0x35,0x2e,0x20,0x77,0x79,0x58,0x6f,0x64,0x20,0x77,0x20,0x6d,0x6f           ;  0x02d8 - стоит 58 (это X англ), а должно быть 68 (русская Х)
;            /    ,    5    .         В    Ы    X    О    Д         В         М    О
;$02d0 59         mov e,c
;$02d1 2f         cma
;$02d2 2c         inr l
;$02d3 35         dcr m
;$02d4 2e
;$02d5 20      mvi l,$20
;$02d6 77         mov m,a
;$02d7 79         mov a,c
;$02d8 58         mov e,b
;$02d9 6f         mov l,a
;$02da 64         mov h,h
;$02db 20         ???
;$02dc 77         mov m,a
;$02dd 20         ???
;$02de 6d         mov l,l
;$02df 6f         mov l,a

; from 0x02e0 to 0x02e
.byte 0x6e,0x69,0x74,0x6f,0x72,0x20,0x00
;       Н    И    Т    О    Р
;$02e0 6e         mov l,m
;$02e1 69         mov l,c
;$02e2 74         mov m,h
;$02e3 6f         mov l,a
;$02e4 72         mov m,d
;$02e5 20         ???
;$02e6 00         nop

;----------------------------------------------------


$02e7 76         hlt
$02e8 69         mov l,c
$02e9 77         mov m,a
$02ea 61         mov h,c
$02eb 6e         mov l,m
$02ec 69         mov l,c
$02ed 65         mov h,l
$02ee 20         ???
$02ef 69         mov l,c
$02f0 20         ???
$02f1 70         mov m,b
$02f2 6f         mov l,a
$02f3 77         mov m,a
$02f4 65         mov h,l
$02f5 72         mov m,d
$02f6 6b         mov l,e
$02f7 61         mov h,c
$02f8 20         ???
$02f9 00         nop

;-------------------------------------------
;  непонятные данные. Рабочие ячейки?
;-------------------------------------------
; from 02fa to 02fe
;.byte 0xbf,0x94,0x40,0x94,0x00
;       
$02fa bf         cmp a
$02fb 94         sub h
$02fc 40         mov b,b
$02fd 94         sub h
$02fe 00         nop
;-------------------------------------------

$02ff ff         rst 7
   m019:         call pp15        ; $0300 cd 06 03
                 jmp $05c0        ; $0303 c3 c0 05    ---- ????? переход на строку данных

;-------------------------------------------
;
;-------------------------------------------
pp15:             lxi h,$03b6       ; $0306 21 b6 03
                  mvi m,0x01        ; $0309 36 01
                  lxi h,$0357       ; $030b 21 57 03
                  mvi m,0x55        ; $030e 36 55
                  lxi d,$0389       ; $0310 11 89 03
                  call pp16         ; $0313 cd 29 03
                  lxi h,$03b6       ; $0316 21 b6 03
                  mvi m,0x08        ; $0319 36 08
                  lxi d,$038e       ; $031b 11 8e 03
                  lxi h,$0357       ; $031e 21 57 03
                  mvi m,0x00        ; $0321 36 00
                  call pp16         ; $0323 cd 29 03
                  jmp pp2           ; $0326 c3 c1 00

;-------------------------------------------
;
;-------------------------------------------
pp16:             lxi h,$0384       ; $0329 21 84 03
                  mvi b,0x05        ; $032c 06 05
   m023:          ldax d            ; $032e 1a
                  mov m,a           ; $032f 77
                  inx d             ; $0330 13
                  inx h             ; $0331 23
                  dcr b             ; $0332 05
                  jnz m023          ; $0333 c2 2e 03
                  call pp17         ; $0336 cd 41 03
                  lxi h,$03b6       ; $0339 21 b6 03
                  dcr m             ; $033c 35
                  rz                ; $033d c8
                  jmp pp16          ; $033e c3 29 03

;-------------------------------------------
;
;-------------------------------------------
pp17:             lhld $0384     ; $0341 2a 84 03
                  shld $0359     ; $0344 22 59 03
                  lhld $0386     ; $0347 2a 86 03
                  shld $035c     ; $034a 22 5c 03
                  lxi h,$0388    ; $034d 21 88 03
                  mov b,m        ; $0350 46
                  lxi h,$037d    ; $0351 21 7d 03
                  mov m,b        ; $0354 70
                  push d         ; $0355 d5
   m025:          mvi c,0x00     ; $0356 0e 00
                  lxi d,$befa    ; $0358 11 fa be
                  lxi h,$be90    ; $035b 21 90 be
   m024:          mov m,c        ; $035e 71         
                  mov a,c        ; $035f 79
                  rlc            ; $0360 07
                  mov c,a        ; $0361 4f
                  call pp1       ; $0362 cd 36 00
                  jnc m024       ; $0365 d2 5e 03
                  lhld $0384     ; $0368 2a 84 03
                  shld $0359     ; $036b 22 59 03
                  inr h          ; $036e 24
                  shld $0384     ; $036f 22 84 03
                  lhld $0386     ; $0372 2a 86 03
                  shld $035c     ; $0375 22 5c 03
                  inr h          ; $0378 24
                  shld $0386     ; $0379 22 86 03
                  mvi a,0xbf     ; $037c 3e bf
                  cmp h          ; $037e bc
                  jnz m025       ; $037f c2 56 03
                  pop d          ; $0382 d1
                  ret            ; $0383 c9
;-----------------------------------------


$0384 fa bf 90   jm $90bf
$0387 bf         cmp a
$0388 bf         cmp a
$0389 ff         rst 7
$038a 90         sub b
$038b 00         nop
$038c 90         sub b
$038d c0         rnz
$038e 47         mov b,a
$038f 94         sub h
$0390 30         ???
$0391 94         sub h
$0392 bc         cmp h
$0393 7f         mov a,a
$0394 91         sub c
$0395 60         mov h,b
$0396 91         sub c
$0397 bf         cmp a
$0398 a7         ana a
$0399 91         sub c
$039a 90         sub b
$039b 91         sub c
$039c 9f         sbb a
$039d a7         ana a
$039e a0         ana b
$039f 90         sub b
$03a0 a0         ana b
$03a1 b0         ora b
$03a2 a7         ana a
$03a3 b1         ora c
$03a4 90         sub b
$03a5 b1         ora c
$03a6 bf         cmp a
$03a7 c7         rst 0
$03a8 91         sub c
$03a9 b0         ora b
$03aa 91         sub c
$03ab 9f         sbb a
$03ac c7         rst 0
$03ad a0         ana b
$03ae b0         ora b
$03af a0         ana b
$03b0 b0         ora b
$03b1 c7         rst 0
$03b2 b1         ora c
$03b3 b0         ora b
$03b4 b1         ora c
$03b5 bf         cmp a

$03b6 00         nop
$03b7 ff         rst 7
$03b8 00         nop
$03b9 ff         rst 7
$03ba 00         nop
$03bb ff         rst 7
$03bc 00         nop
$03bd ff         rst 7
$03be 00         nop
$03bf ff         rst 7

                  call pp12         ; $03c0 cd f0 03
                  call pp11         ; $03c3 cd 70 04
                  call pp13         ; $03c6 cd 00 05
                  call pp18         ; $03c9 cd 30 05
                  call pp7          ; $03cc cd 60 05
                  call pp22         ; $03cf cd 30 06
                  call pp23         ; $03d2 cd c7 07
                  call pp24         ; $03d5 cd 20 08
                  call pp25         ; $03d8 cd b0 08
                  jnz m046          ; $03db c2 10 09

                 lxi h,$05e2       ; $03de 21 e2 05 ; текстовые данные определены
                 call MsgToScr     ; $03e1 cd 18 f8
$03e4 c3 cf 03   jmp $03cf
$03e7 ff         rst 7
$03e8 00         nop
$03e9 ff         rst 7
$03ea 00         nop
$03eb ff         rst 7
$03ec 00         nop
$03ed ff         rst 7
$03ee 00         nop
$03ef ff         rst 7
pp12:            lxi h,$03f7          ; $03f0 21 f7 03 ; текстовые данные определены
                 call MsgToScr     ; $03f3 cd 18 f8
$03f6 c9         ret

;-------------------------------------------
;
;-------------------------------------------
;from 0x3f7 tu 0x3ff
.byte 0x1b,0x59,0x26,0x2d,0x70,0x72,0x6f,0x77,0x65
;      АР2        &    -    П    Р    О    В    Е
;$03f7 1b         dcx d
;$03f8 59         mov e,c
;$03f9 26 2d      mvi h,$2d
;$03fb 70         mov m,b
;$03fc 72         mov m,d
;$03fd 6f         mov l,a
;$03fe 77         mov m,a
;$03ff 65         mov h,l

;from 0x400 tu 0x40f
.byte 0x72,0x6b,0x61,0x20,0x6d,0x69,0x6b,0x72,0x6f,0x73,0x68,0x65,0x6d,0x20,0x6e,0x61
;       Р    К    А         М    И    К    Р    О    С    Х    Е    М         Н    А
;$0400 72         mov m,d
;$0401 6b         mov l,e
;$0402 61         mov h,c
;$0403 20         ???
;$0404 6d         mov l,l
;$0405 69         mov l,c
;$0406 6b         mov l,e
;$0407 72         mov m,d
;$0408 6f         mov l,a
;$0409 73         mov m,e
;$040a 68         mov l,b
;$040b 65         mov h,l
;$040c 6d         mov l,l
;$040d 20         ???
;$040e 6e         mov l,m
;$040f 61         mov h,c

;from 0x410 tu 0x41f
.byte 0x20,0x66,0x75,0x6e,0x6b,0x63,0x69,0x6f,0x6e,0x69,0x72,0x6f,0x77,0x61,0x6e,0x69
;            Ф    У    Н    К    Ц    И    О    Н    И    Р    О    В    А    Н    И
;$0410 20         ???
;$0411 66         mov h,m
;$0412 75         mov m,l
;$0413 6e         mov l,m
;$0414 6b         mov l,e
;$0415 63         mov h,e
;$0416 69         mov l,c
;$0417 6f         mov l,a
;$0418 6e         mov l,m
;$0419 69         mov l,c
;$041a 72         mov m,d
;$041b 6f         mov l,a
;$041c 77         mov m,a
;$041d 61         mov h,c
;$041e 6e         mov l,m
;$041f 69         mov l,c

;from 0x420 tu 0x42f
.byte 0x65,0x1b,0x59,0x2b,0x2a,0x77,0x77,0x65,0x64,0x69,0x74,0x65,0x20,0x73,0x65,0x72
;       Е   АР2        +    *    В    В    Е    Д    И    Т    Е         С    Е    Р
;$0420 65         mov h,l
;$0421 1b         dcx d
;$0422 59         mov e,c
;$0423 2b         dcx h
;$0424 2a 77 77   lhld $7777
;$0427 65         mov h,l
;$0428 64         mov h,h
;$0429 69         mov l,c
;$042a 74         mov m,h
;$042b 65         mov h,l
;$042c 20         ???
;$042d 73         mov m,e
;$042e 65         mov h,l
;$042f 72         mov m,d

;from 0x430 tu 0x43f
.byte 0x69,0x60,0x2c,0x20,0x74,0x69,0x70,0x20,0x69,0x20,0x7e,0x69,0x73,0x6c,0x6f,0x20
;       И    Ю    ,         Т    И    П         И         Ч    И    С    Л    О
;$0430 69         mov l,c
;$0431 60         mov h,b
;$0432 2c         inr l
;$0433 20         ???
;$0434 74         mov m,h
;$0435 69         mov l,c
;$0436 70         mov m,b
;$0437 20         ???
;$0438 69         mov l,c
;$0439 20         ???
;$043a 7e         mov a,m
;$043b 69         mov l,c
;$043c 73         mov m,e
;$043d 6c         mov l,h
;$043e 6f         mov l,a
;$043f 20         ???

;from 0x440 tu 0x44f
.byte 0x70,0x72,0x6f,0x77,0x65,0x72,0x71,0x65,0x6d,0x79,0x68,0x20,0x69,0x6d,0x73,0x1b
;       П    Р    О    В    Е    Р    Я    Е    М    Ы    Х         И    М    С   АР2
;$0440 70         mov m,b
;$0441 72         mov m,d
;$0442 6f         mov l,a
;$0443 77         mov m,a
;$0444 65         mov h,l
;$0445 72         mov m,d
;$0446 71         mov m,c
;$0447 65         mov h,l
;$0448 6d         mov l,l
;$0449 79         mov a,c
;$044a 68         mov l,b
;$044b 20         ???
;$044c 69         mov l,c
;$044d 6d         mov l,l
;$044e 73         mov m,e
;$044f 1b         dcx d

;from 0x450 tu 0x45f
.byte 0x59,0x2f,0x27,0x73,0x65,0x72,0x69,0x71,0x1b,0x59,0x2f,0x3e,0x74,0x69,0x70,0x1b
;            /    `    С    Е    Р    И    Я   АР2        /    >    Т    И    П   АР2
;$0450 59         mov e,c
;$0451 2f         cma
;$0452 27         daa
;$0453 73         mov m,e
;$0454 65         mov h,l
;$0455 72         mov m,d
;$0456 69         mov l,c
;$0457 71         mov m,c
;$0458 1b         dcx d
;$0459 59         mov e,c
;$045a 2f         cma
;$045b 3e 74      mvi a,$74
;$045d 69         mov l,c
;$045e 70         mov m,b
;$045f 1b         dcx d

;from 0x460 tu 0x468
.byte 0x59,0x2f,0x52,0x7e,0x69,0x73,0x6c,0x6f,0x00
;            /    R    Ч    И    С    Л    О
;$0460 59         mov e,c
;$0461 2f         cma
;$0462 52         mov d,d
;$0463 7e         mov a,m
;$0464 69         mov l,c
;$0465 73         mov m,e
;$0466 6c         mov l,h
;$0467 6f         mov l,a
;$0468 00         nop

;---------------------------------------

$0469 00         nop
$046a ff         rst 7
$046b 00         nop
$046c ff         rst 7
$046d 00         nop
$046e ff         rst 7
$046f 00         nop

;---------------------------------------
;
;---------------------------------------
pp11:            lxi h,$01d0        ; $0470 21 d0 01
                 shld $04fc         ; $0473 22 fc 04
                 lxi h,$049a        ; $0476 21 9a 04  ; текстовые данные определены
                 push h             ; $0479 e5
                 call MsgToScr      ; $047a cd 18 f8
                 call pp8           ; $047d cd bd 04
                 pop                ; $0480 e1
                 call MsgToScr      ; $0481 cd 18 f8
                 mvi d,0x06         ; $0484 16 06
                 lxi h,$04aa        ; $0486 21 aa 04 ; текстовые данные определены
                 call pp9           ; $0489 cd b1 04
   m012:         call pp10          ; $048c cd c3 04
                 mov m,a            ; $048f 77
                 mov c,a            ; $0490 4f
                 call SymbToScr     ; $0491 cd 09 f8
                 inx h              ; $0494 23
                 dcr d              ; $0495 15
                 jnz m012           ; $0496 c2 8c 04
                 ret                ; $0499 c9
;---------------------------------------


;---------------------------------------
;
;---------------------------------------
.bytE 0x1b,0x59,0x32,0x27,0x00
;      АР2        2    `
;$049a 1b         dcx d
;$049b 59         mov e,c
;$049c 32 27 00   sta $0027
;---------------------------------------


;---------------------------------------
;
;---------------------------------------
.bytE 0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x00
;
;$049f 20         ???
;$04a0 20         ???
;$04a1 20         ???
;$04a2 20         ???
;$04a3 20         ???
;$04a4 20         ???
;$04a5 20         ???
;$04a6 20         ???
;$04a7 20         ???
;$04a8 20         ???
;$04a9 00         nop
;---------------------------------------



;---------------------------------------
;
;---------------------------------------
.bytE 0x31,0x35,0x35,0x00
;       1    5    5
;$04aa 31 35 35   lxi sp,$3535
;$04ad 00         nop
;---------------------------------------


$04ae 00         nop
$04af 00         nop
$04b0 00         nop

;----------------------------------------
;
;----------------------------------------
pp9:             push d      ; $04b1 d5
                 push h      ; $04b2 e5
   m011:         mvi m,0x00  ; $04b3 36 00
                 inx h       ; $04b5 23
                 dcr d       ; $04b6 15
                 jnz m011    ; $04b7 c2 b3 04
                 pop h       ; $04ba e1
                 pop d       ; $04bb d1
                 ret         ; $04bc c9
;----------------------------------------

;------------------------------------------
;
;------------------------------------------

pp8:             lxi h,$049f       ; $04bd 21 9f 04     ; текстовые данные определены
                 jmp MsgToScr      ; $04c0 c3 18 f8

;------------------------------------------
;
;------------------------------------------
pp10:             call SymbInput       ; $04c3 cd 03 f8
                  cpi 0x08             ; $04c6 fe 08
                  jz m013              ; $04c8 ca db 04
                  cpi 0x0d             ; $04cb fe 0d
                  jz m014              ; $04cd ca f7 04
                  cpi 0x30             ; $04d0 fe 30
                  jc pp10              ; $04d2 da c3 04
                  cpi 0x7f             ; $04d5 fe 7f
                  jnc pp10             ; $04d7 d2 c3 04
                  ret                  ; $04da c9
   m013:          mov a,d              ; $04db 7a
                  cpi 0x06             ; $04dc fe 06
                  jz m015              ; $04de ca f9 04
                  inr d                ; $04e1 14
                  dcx h                ; $04e2 2b
                  mvi m,0x00           ; $04e3 36 00
                  mvi c,0x08           ; $04e5 0e 08
                  call SymbToScr       ; $04e7 cd 09 f8
                  mvi c,0x20           ; $04ea 0e 20
                  call SymbToScr       ; $04ec cd 09 f8
                  mvi c,0x08           ; $04ef 0e 08
                  call SymbToScr       ; $04f1 cd 09 f8
                  jmp pp10             ; $04f4 c3 c3 04
   m014:          pop psw              ; $04f7 f1
                  ret                  ; $04f8 c9
   m015:          pop psw              ; $04f9 f1
                  pop psw              ; $04fa f1
                  jmp m016             ; $04fb c3 7c 0c
;----------------------------------------------------

$04fe 00         nop
$04ff ff         rst 7

;------------------------------------------
;
;------------------------------------------
pp13:            lxi h,$03c3        ; $0500 21 c3 03
                 shld $04fc         ; $0503 22 fc 04   
                 lxi h,$051f        ; $0506 21 1f 05   ; данные текста определены
                 push h             ; $0509 e5
                 call MsgToScr      ; $050a cd 18 f8
                 call pp8           ; $050d cd bd 04
                 pop h              ; $0510 e1
                 call MsgToScr      ; $0511 cd 18 f8
                 mvi d,0x06         ; $0514 16 06
                 lxi h,$0524        ; $0516 21 24 05  ; текстовые данные определены
                 call pp9           ; $0519 cd b1 04
                 jmp m012           ; $051c c3 8c 04


;------------------------------------------
;
;------------------------------------------
.byte 0x1b,0x59,0x32,0x3e,0x00
;      АР2        2    >
;$051f 1b         dcx d
;$0520 59         mov e,c
;$0521 32 3e 00   sta $003e


;------------------------------------------
;
;------------------------------------------
.byte 0x6c,0x61,0x33,0x00
;       Л    А    3
;$0524 6c         mov l,h
;$0525 61         mov h,c
;$0526 33         inx sp
;$0527 00         nop
;------------------------------------------



$0528 00         nop
$0529 00         nop
$052a 00         nop
$052b 00         nop
$052c ff         rst 7
$052d 00         nop
$052e ff         rst 7
$052f 00         nop

;------------------------------------------
;
;------------------------------------------
pp18:             lxi h,$03c6       ; $0530 21 c6 03
                  shld $04fc        ; $0533 22 fc 04
                  lxi h,$054f       ; $0536 21 4f 05  ; текстовые данные определены
                  push h            ; $0539 e5
                  call MsgToScr     ; $053a cd 18 f8
                  call pp8          ; $053d cd bd 04
                  pop h             ; $0540 e1
                  call MsgToScr     ; $0541 cd 18 f8
                  mvi d,0x06        ; $0544 16 06
                  lxi h,$0554       ; $0546 21 54 05
                  call pp9          ; $0549 cd b1 04
                  jmp m012          ; $054c c3 8c 04

;------------------------------------------
;
;------------------------------------------
.byte 0x1b,0x59,0x32,0x53,0x00
;      АР2        2    S
;$054f 1b         dcx d
;$0550 59         mov e,c
;$0551 32 53 00   sta $0053
;------------------------------------------


$0554 00         nop
$0555 00         nop
$0556 00         nop
$0557 00         nop
$0558 00         nop
$0559 00         nop
$055a 00         nop
$055b 00         nop
$055c ff         rst 7
$055d 00         nop
$055e ff         rst 7
$055f 00         nop

;---------------------------------------------
;
;---------------------------------------------
pp7:        lxi h,$0597       ; $0560 21 97 05  ; текстовые данные определены
            call MsgToScr     ; $0563 cd 18 f8
            lxi h,$05e2       ; $0566 21 e2 05  ; текстовые данные определены
            call MsgToScr     ; $0569 cd 18 f8
            lxi h,$05dd       ; $056c 21 dd 05  ; текстовые данные определены
            call MsgToScr     ; $056f cd 18 f8
            lxi h,$04aa       ; $0572 21 aa 04  ; текстовые данные определены
            call MsgToScr     ; $0575 cd 18 f8
            lxi h,$0524       ; $0578 21 24 05  ; текстовые данные определены
            call MsgToScr     ; $057b cd 18 f8
            lxi h,$049a       ; $057e 21 9a 04  ; текстовые данные определены
            call MsgToScr     ; $0581 cd 18 f8
            lxi h,$049f       ; $0584 21 9f 04  ; текстовые данные определены
            call MsgToScr     ; $0587 cd 18 f8
            lxi h,$051f       ; $058a 21 1f 05  ; текстовые данные определены
            call MsgToScr     ; $058d cd 18 f8
            lxi h,$049f       ; $0590 21 9f 04  ; текстовые данные определены
            call MsgToScr     ; $0593 cd 18 f8
            ret               ; $0596 c9

;---------------------------------------------
;
;---------------------------------------------
; from 0x0597 to 0x059f
.byte 0x1b,0x59,0x26,0x2d,0x20,0x70,0x72,0x6f,0x77
;      АР2        &    -         П    Р    О    В
;$0597 1b         dcx d
;$0598 59         mov e,c
;$0599 26 2d      mvi h,$2d
;$059b 20         ???
;$059c 70         mov m,b
;$059d 72         mov m,d
;$059e 6f         mov l,a
;$059f 77         mov m,a

; from 0x05a0 to 0x05af
.byte 0x65,0x72,0x6b,0x61,0x20,0x6d,0x69,0x6b,0x72,0x6f,0x73,0x68,0x65,0x6d,0x20,0x74
;       Е    Р    К    А         М    И    К    Р    О    С    Х    Е    М         Т
;$05a0 65         mov h,l
;$05a1 72         mov m,d
;$05a2 6b         mov l,e
;$05a3 61         mov h,c
;$05a4 20         ???
;$05a5 6d         mov l,l
;$05a6 69         mov l,c
;$05a7 6b         mov l,e
;$05a8 72         mov m,d
;$05a9 6f         mov l,a
;$05aa 73         mov m,e
;$05ab 68         mov l,b
;$05ac 65         mov h,l
;$05ad 6d         mov l,l
;$05ae 20         ???
;$05af 74         mov m,h

; from 0x05b0 to 0x05bf
.byte 0x69,0x70,0x61,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20
;       И    П    А
;$05b0 69         mov l,c
;$05b1 70         mov m,b
;$05b2 61         mov h,c
;$05b3 20         ???
;$05b4 20         ???
;$05b5 20         ???
;$05b6 20         ???
;$05b7 20         ???
;$05b8 20         ???
;$05b9 20         ???
;$05ba 20         ???
;$05bb 20         ???
;$05bc 20         ???
;$05bd 20         ???
;$05be 20         ???
;$05bf 20         ???

; from 0x05c0 to 0x05cf
.byte 0x20,0x1b,0x59,0x2f,0x26,0x67,0x6f,0x64,0x6e,0x79,0x68,0x1b,0x59,0x2f,0x3e,0x62
;           АР2        /    &    Г    О    Д    Н    Ы    Х   АР2        /    >    Б
;$05c0 20         ???
;$05c1 1b         dcx d
;$05c2 59         mov e,c
;$05c3 2f         cma
;$05c4 26 67      mvi h,$67
;$05c6 6f         mov l,a
;$05c7 64         mov h,h
;$05c8 6e         mov l,m
;$05c9 79         mov a,c
;$05ca 68         mov l,b
;$05cb 1b         dcx d
;$05cc 59         mov e,c
;$05cd 2f         cma
;$05ce 3e 62      mvi a,$62

; from 0x05d0 to 0x05dc
.byte 0x72,0x61,0x6b,0x1b,0x59,0x2f,0x52,0x7e,0x69,0x73,0x6c,0x6f,0x00
;       Р    А    К   АР2        /    R    Ч    И    С    Л    О
;$05d0 72         mov m,d
;$05d1 61         mov h,c
;$05d2 6b         mov l,e
;$05d3 1b         dcx d
;$05d4 59         mov e,c
;$05d5 2f         cma
;$05d6 52         mov d,d
;$05d7 7e         mov a,m
;$05d8 69         mov l,c
;$05d9 73         mov m,e
;$05da 6c         mov l,h
;$05db 6f         mov l,a
;$05dc 00         nop

;------------------------------------------------------
;
;------------------------------------------------------
.byte 0x1b,0x59,0x26,0x46,0x00
;      АР2        &    F
;$05dd 1b         dcx d
;$05de 59         mov e,c
;$05df 26 46      mvi h,$46
;$05e1 00         nop

;------------------------------------------------------
;
;------------------------------------------------------
; from 0x05e2 to 0x05ef
.byte 0x1b,0x59,0x2b,0x2a,0x20,0x75,0x73,0x74,0x61,0x6e,0x6f,0x77,0x69,0x74
;      АР2        +    *         У    С    Т    А    Н    О    В    И    Т
;$05e2 1b         dcx d
;$05e3 59         mov e,c
;$05e4 2b         dcx h
;$05e5 2a 20 75   lhld $7520
;$05e8 73         mov m,e
;$05e9 74         mov m,h
;$05ea 61         mov h,c
;$05eb 6e         mov l,m
;$05ec 6f         mov l,a
;$05ed 77         mov m,a
;$05ee 69         mov l,c
;$05ef 74         mov m,h

; from 0x05f0 to 0x05ff
.byte 0x65,0x20,0x69,0x6d,0x73,0x20,0x77,0x20,0x70,0x61,0x6e,0x65,0x6c,0x78,0x6b,0x75
;       Е         И    М    С         В         П    А    Н    Е    Л    Ь    К    У
;$05f0 65         mov h,l
;$05f1 20         ???
;$05f2 69         mov l,c
;$05f3 6d         mov l,l
;$05f4 73         mov m,e
;$05f5 20         ???
;$05f6 77         mov m,a
;$05f7 20         ???
;$05f8 70         mov m,b
;$05f9 61         mov h,c
;$05fa 6e         mov l,m
;$05fb 65         mov h,l
;$05fc 6c         mov l,h
;$05fd 78         mov a,b
;$05fe 6b         mov l,e
;$05ff 75         mov m,l

; from 0x0600 to 0x0610
.byte 0x20,0x69,0x20,0x6e,0x61,0x76,0x6d,0x69,0x74,0x65,0x20,0x5b,0x77,0x6b,0x5d,0x20,0xS00
;            И         Н    А    Ж    М    И    Т    Е         [    В    К    ]
;$0600 20         ???
;$0601 69         mov l,c
;$0602 20         ???
;$0603 6e         mov l,m
;$0604 61         mov h,c
;$0605 76         hlt
;$0606 6d         mov l,l
;$0607 69         mov l,c
;$0608 74         mov m,h
;$0609 65         mov h,l
;$060a 20         ???
;$060b 5b         mov e,e
;$060c 77         mov m,a
;$060d 6b         mov l,e
;$060e 5d         mov e,l
;$060f 20         ???
;$0610 00         nop
;------------------------------------------------------


$0611 00         nop
$0612 ff         rst 7
$0613 00         nop
$0614 ff         rst 7
$0615 00         nop
$0616 ff         rst 7
$0617 00         nop
$0618 ff         rst 7
$0619 00         nop
$061a ff         rst 7
$061b 00         nop
$061c ff         rst 7
$061d 00         nop
$061e ff         rst 7
$061f 00         nop
$0620 ff         rst 7
$0621 00         nop
$0622 ff         rst 7
$0623 00         nop
$0624 ff         rst 7
$0625 00         nop
$0626 ff         rst 7
$0627 00         nop
$0628 ff         rst 7
$0629 00         nop
$062a ff         rst 7
$062b 00         nop
$062c ff         rst 7
$062d 00         nop
$062e ff         rst 7
$062f 00         nop

pp22:             call KeyInput     ; $0630 cd 1b f8
$0633 fe 0d      cpi $0d
                  jnz pp22      ; $0635 c2 30 06
$0638 21 cf 06   lxi h,$06cf
$063b 36 01      mvi m,$01
$063d 01 00 75   lxi b,$7500
$0640 11 aa 04   lxi d,$04aa
$0643 eb         xchg
$0644 0a         ldax b
$0645 be         cmp m
$0646 c2 4e 06   jnz $064e
$0649 03         inx b
$064a 23         inx h
$064b c3 44 06   jmp $0644
$064e fe 20      cpi $20
$0650 ca 66 06   jz $0666
$0653 03         inx b
$0654 0a         ldax b
$0655 fe 00      cpi $00
$0657 c2 53 06   jnz $0653
$065a eb         xchg
$065b 34         inr m
$065c 3e 64      mvi a,$64
$065e be         cmp m
$065f ca 7d 06   jz $067d
$0662 03         inx b
$0663 c3 40 06   jmp $0640
$0666 21 24 05   lxi h,$0524
$0669 03         inx b
$066a 0a         ldax b
$066b be         cmp m
$066c c2 74 06   jnz $0674
$066f 03         inx b
$0670 23         inx h
$0671 c3 6a 06   jmp $066a
$0674 7e         mov a,m
$0675 fe 00      cpi $00
$0677 ca d0 06   jz $06d0
$067a c3 53 06   jmp $0653
                  lxi h,$06a0         ; $067d 21 a0 06  ; текстовые данные определены
                  call MsgToScr     ; $0680 cd 18 f8
$0683 2a f1 8f   lhld $8ff1
$0686 e5         push h
$0687 21 55 55   lxi h,$5555
$068a 22 f1 8f   shld $8ff1
         call SetFileType     ; $068d cd 2d f8
$0690 e1         pop h
$0691 22 f1 8f   shld $8ff1
   call KeyInput        ; $0694 cd 1b f8
$0697 fe ff      cpi $ff
$0699 ca 94 06   jz $0694
$069c f1         pop psw
   jmp m003        ; $069d c3 d0 01

;----------------------------------------------------
;
;----------------------------------------------------
; from 0x06a0 to 0x06af
.byte 0x1b,0x59,0x2b,0x2a,0x20,0x69,0x7a,0x77,0x69,0x6e,0x69,0x74,0x65,0x2c,0x20,0x6e
;      АР2        +    *         И    Э    В    И    Н    И    Т    Е    ,         Н
;$06a0 1b         dcx d
;$06a1 59         mov e,c
;$06a2 2b         dcx h
;$06a3 2a 20 69   lhld $6920
;$06a6 7a         mov a,d
;$06a7 77         mov m,a
;$06a8 69         mov l,c
;$06a9 6e         mov l,m
;$06aa 69         mov l,c
;$06ab 74         mov m,h
;$06ac 65         mov h,l
;$06ad 2c         inr l
;$06ae 20         ???
;$06af 6e         mov l,m

; from 0x06b0 to 0x06bf
.byte 0x6f,0x20,0x7c,0x74,0x69,0x20,0x69,0x6d,0x72,0x20,0x70,0x72,0x69,0x62,0x6f,0x72
;       О         З    Т    И         И    М    Р         П    Р    И    Б    О    Р
;$06b0 6f         mov l,a
;$06b1 20         ???
;$06b2 7c         mov a,h
;$06b3 74         mov m,h
;$06b4 69         mov l,c
;$06b5 20         ???
;$06b6 69         mov l,c
;$06b7 6d         mov l,l
;$06b8 73         mov m,e
;$06b9 20         ???
;$06ba 70         mov m,b
;$06bb 72         mov m,d
;$06bc 69         mov l,c
;$06bd 62         mov h,d
;$06be 6f         mov l,a
;$06bf 72         mov m,d

; from 0x06c0 to 0x06ce
.byte 0x20,0x6e,0x65,0x20,0x70,0x72,0x6f,0x77,0x65,0x72,0x71,0x65,0x74,0x21,0x00
;            Н    Е         П    Р    О    В    Е    Р    Я    Е    Т    !
;$06c0 20         ???
;$06c1 6e         mov l,m
;$06c2 65         mov h,l
;$06c3 20         ???
;$06c4 70         mov m,b
;$06c5 72         mov m,d
;$06c6 6f         mov l,a
;$06c7 77         mov m,a
;$06c8 65         mov h,l
;$06c9 72         mov m,d
;$06ca 71         mov m,c
;$06cb 65         mov h,l
;$06cc 74         mov m,h
;$06cd 21
;$06ce 00

$06cf 01
$06d0 cd f4 06   call $06f4
                  call pp20        ; $06d3 cd 1c 07
                  jmp pp21         ; $06d6 c3 27 07
$06d9 53         mov d,e
$06da c5         push b
$06db af         xra a
$06dc 0a         ldax b
$06dd 8e         adc m
$06de 02         stax b
$06df 03         inx b
$06e0 23         inx h
$06e1 1d         dcr e
$06e2 c2 dc 06   jnz $06dc
$06e5 c1         pop b
$06e6 5a         mov e,d
$06e7 c9         ret
$06e8 af         xra a
$06e9 67         mov h,a
$06ea 6f         mov l,a
$06eb 57         mov d,a
$06ec 81         add c
$06ed c8         rz
$06ee 19         dad d
$06ef 3d         dcr a
$06f0 c2 ee 06   jnz $06ee
$06f3 c9         ret


$06f4 21 cf 06   lxi h,$06cf
$06f7 4e         mov c,m
$06f8 1e 02      mvi e,$02
$06fa cd e8 06   call $06e8
$06fd 01 20 07   lxi b,$0720
$0700 22 22 07   shld $0722
$0703 21 00 20   lxi h,$2000
$0706 22 20 07   shld $0720
$0709 21 22 07   lxi h,$0722
$070c 1e 02      mvi e,$02
$070e cd d9 06   call $06d9
$0711 2a 20 07   lhld $0720
$0714 5e         mov e,m
$0715 23         inx h
$0716 56         mov d,m
$0717 eb         xchg
$0718 22 1d 07   shld $071d
$071b c9         ret

;------------------------------------------
;
;------------------------------------------
pp20:             call $2100        ; $071c cd 00 21
                  ret               ; $071f c9
;------------------------------------------

$0720 02         stax b
$0721 20         ???
$0722 02         stax b
$0723 00         nop
$0724 ff         rst 7
$0725 00         nop
$0726 ff         rst 7

;------------------------------------------
;
;------------------------------------------
pp21:             lxi h,$07c2       ; $0727 21 c2 07
                  inr m             ; $072a 34
                  jnz m029          ; $072b c2 47 07
                  dcr m             ; $072e 35
                  lxi h,$0758       ; $072f 21 58 07  ; текстовые данные определены
                  call MsgToScr     ; $0732 cd 18 f8
;------------------------------------------



;------------------------------------------
;
;------------------------------------------
pp19:             lhld $8ff1        ; $0735 2a f1 8f
                  push h            ; $0738 e5
                  lxi h,0x8080      ; $0739 21 80 80
   m030:          shld $8ff1        ; $073c 22 f1 8f
                  call SetFileType  ; $073f cd 2d f8
                  pop h             ; $0742 e1
                  shld $8ff1        ; $0743 22 f1 8f
                  ret               ; $0746 c9

   m029:          dcr m             ; $0747 35
                  lxi h,$0787       ; $0748 21 87 07  ; текстовые данные определены
                  call MsgToScr     ; $074b cd 18 f8
                  lhld $8ff1        ; $074e 2a f1 8f
                  push h            ; $0751 e5
                  lxi h,$8040       ; $0752 21 40 80
                  jmp m030          ; $0755 c3 3c 07

;------------------------------------------
;
;------------------------------------------
; from 0758 to 075f
.byte 0x1b,0x59,0x2b,0x2a,0x20,0x20,0x20,0x20
;      АР2        +    *
;$0758 1b         dcx d
;$0759 59         mov e,c
;$075a 2b         dcx h
;$075b 2a 20 20   lhld $2020
;$075e 20         ???
;$075f 20         ???

; from 0760 to 076f
.byte 0x72,0x65,0x7a,0x75,0x6c,0x78,0x74,0x61,0x74,0x20,0x70,0x72,0x6f,0x77,0x65,0x72
;       Р    Е    Э    У    Л    Ь    Т    А    Т         П    Р    О    В    Е    Р
;$0760 72         mov m,d
;$0761 65         mov h,l
;$0762 7a         mov a,d
;$0763 75         mov m,l
;$0764 6c         mov l,h
;$0765 78         mov a,b
;$0766 74         mov m,h
;$0767 61         mov h,c
;$0768 74         mov m,h
;$0769 20         ???
;$076a 70         mov m,b
;$076b 72         mov m,d
;$076c 6f         mov l,a
;$076d 77         mov m,a
;$076e 65         mov h,l
;$076f 72         mov m,d

; from 0770 to 077f
.byte 0x6b,0x69,0x20,0x6b,0x6f,0x72,0x70,0x75,0x73,0x61,0x20,0x2d,0x20,0x67,0x6f,0x64
;       К    И         К    О    Р    П    У    С    А         -         Г    О    Д
;$0770 6b         mov l,e
;$0771 69         mov l,c
;$0772 20         ???
;$0773 6b         mov l,e
;$0774 6f         mov l,a
;$0775 72         mov m,d
;$0776 70         mov m,b
;$0777 75         mov m,l
;$0778 73         mov m,e
;$0779 61         mov h,c
;$077a 20         ???
;$077b 2d         dcr l
;$077c 20         ???
;$077d 67         mov h,a
;$077e 6f         mov l,a
;$077f 64         mov h,h

; from 0780 to 0786
.byte 0x65,0x6e,0x20,0x20,0x20,0x20,0x00
;       Е    Н
;$0780 65         mov h,l
;$0781 6e         mov l,m
;$0782 20         ???
;$0783 20         ???
;$0784 20         ???
;$0785 20         ???
;$0786 00         nop
;-----------------------------------------


;-----------------------------------------
;
;-----------------------------------------
; from 0787 to 078f
.byte 0x1b,0x59,0x2b,0x2a,0x20,0x20,0x20,0x20,0x72
;      АР2        +    *                        Р
;$0787 1b         dcx d
;$0788 59         mov e,c
;$0789 2b         dcx h
;$078a 2a 20 20   lhld $2020
;$078d 20         ???
;$078e 20         ???
;$078f 72         mov m,d

; from 0790 to 079f
.byte 0x65,0x7a,0x75,0x6c,0x78,0x74,0x61,0x74,0x20,0x70,0x72,0x6f,0x77,0x65,0x72,0x6b
;       Е    Э    У    Л    Ь    Т    А    Т         П    Р    О    В    Е    Р    К
;$0790 65         mov h,l
;$0791 7a         mov a,d
;$0792 75         mov m,l
;$0793 6c         mov l,h
;$0794 78         mov a,b
;$0795 74         mov m,h
;$0796 61         mov h,c
;$0797 74         mov m,h
;$0798 20         ???
;$0799 70         mov m,b
;$079a 72         mov m,d
;$079b 6f         mov l,a
;$079c 77         mov m,a
;$079d 65         mov h,l
;$079e 72         mov m,d
;$079f 6b         mov l,e

; from 07a0 to 07af
.byte 0x69,0x20,0x6b,0x6f,0x72,0x70,0x75,0x73,0x61,0x20,0x2d,0x20,0x20,0x20,0x20,0x20
;       И         К    О    Р    П    У    С    А         - 
;$07a0 69         mov l,c
;$07a1 20         ???
;$07a2 6b         mov l,e
;$07a3 6f         mov l,a
;$07a4 72         mov m,d
;$07a5 70         mov m,b
;$07a6 75         mov m,l
;$07a7 73         mov m,e
;$07a8 61         mov h,c
;$07a9 20         ???
;$07aa 2d         dcr l
;$07ab 20         ???
;$07ac 20         ???
;$07ad 20         ???
;$07ae 20         ???
;$07af 20         ???

; from 07b0 to 07bf
.byte 0x20,0x20,0x20,0x20,0x20,0x1b,0x59,0x2b,0x4b,0x8b,0x20,0x62,0x72,0x61,0x6b,0x20
;                               АР2        +    K   ???        Б    Р    А    К
;$07b0 20         ???
;$07b1 20         ???
;$07b2 20         ???
;$07b3 20         ???
;$07b4 20         ???
;$07b5 1b         dcx d
;$07b6 59         mov e,c
;$07b7 2b         dcx h
;$07b8 4b         mov c,e
;$07b9 8b         adc e
;$07ba 20         ???
;$07bb 62         mov h,d
;$07bc 72         mov m,d
;$07bd 61         mov h,c
;$07be 6b         mov l,e
;$07bf 20         ???

; from 07c0 to 07c1
.byte 0x8c,0x00
;      ???
;$07c0 8c         adc h
;$07c1 00         nop
;-------------------------------------------------

$07c2 ff         rst 7
$07c3 ff         rst 7
$07c4 00         nop
$07c5 ff         rst 7
$07c6 00         nop

pp23:             xra a             ; $07c7 af
   m028:          dcr a             ; $07c8 3d
                  jnz m028          ; $07c9 c2 c8 07
                  lxi h,$07e6       ; $07cc 21 e6 07     ; текстовые данные определены
                  call MsgToScr     ; $07cf cd 18 f8
   m026:          call KeyInput     ; $07d2 cd 1b f8
                  cpi 0x6e          ; $07d5 fe 6e
                  rz                ; $07d7 c8
                  cpi 0x64          ; $07d8 fe 64
                  jnz m026          ; $07da c2 d2 07
                  call pp20         ; $07dd cd 1c 07
                  call pp21         ; $07e0 cd 27 07
                  jmp pp23          ; $07e3 c3 c7 07
;-----------------------------------------------------

;-----------------------------------------------------
;
;-----------------------------------------------------
; from 07e6 to 07ef
.byte 0x1b,0x59,0x2b,0x2a,0x20,0x20,0x20,0x20,0x70,0x6f
;      АР2        +    *                        П    О
;$07e6 1b         dcx d
;$07e7 59         mov e,c
;$07e8 2b         dcx h
;$07e9 2a 20 20   lhld $2020
;$07ec 20         ???
;$07ed 20         ???
;$07ee 70         mov m,b
;$07ef 6f         mov l,a

; from 07f0 to 07ff
.byte 0x77,0x74,0x6f,0x72,0x6e,0x61,0x71,0x20,0x70,0x72,0x6f,0x77,0x65,0x72,0x6b,0x61
;       В    Т    О    Р    Н    А    Я         П    Р    О    В    Е    Р    К    А
;$07f0 77         mov m,a
;$07f1 74         mov m,h
;$07f2 6f         mov l,a
;$07f3 72         mov m,d
;$07f4 6e         mov l,m
;$07f5 61         mov h,c
;$07f6 71         mov m,c
;$07f7 20         ???
;$07f8 70         mov m,b
;$07f9 72         mov m,d
;$07fa 6f         mov l,a
;$07fb 77         mov m,a
;$07fc 65         mov h,l
;$07fd 72         mov m,d
;$07fe 6b         mov l,e
;$07ff 61         mov h,c

; from 0800 to 080f
.byte 0x20,0x6b,0x6f,0x72,0x70,0x75,0x73,0x61,0x20,0x2d,0x20,0x28,0x64,0x2f,0x6e,0x29
;            К    О    Р    П    У    С    А         -         (    Д    /    Н    )
;$0800 20         ???
;$0801 6b         mov l,e
;$0802 6f         mov l,a
;$0803 72         mov m,d
;$0804 70         mov m,b
;$0805 75         mov m,l
;$0806 73         mov m,e
;$0807 61         mov h,c
;$0808 20         ???
;$0809 2d         dcr l
;$080a 20         ???
;$080b 28         ???
;$080c 64         mov h,h
;$080d 2f         cma
;$080e 6e         mov l,m
;$080f 29         dad h

; from 0810 to 0818
.byte 0x3f,0x20,0x20,0x20,0xff,0xff,0xff,0xff,0x00
;       ?
;$0810 3f         cmc
;$0811 20         ???
;$0812 20         ???
;$0813 20         ???
;$0814 ff         rst 7
;$0815 ff         rst 7
;$0816 ff         rst 7
;$0817 ff         rst 7
;$0818 00         nop
;------------------------------------------------

$0819 ff         rst 7
$081a 00         nop
$081b ff         rst 7
$081c 00         nop
$081d ff         rst 7
$081e 00         nop
$081f ff         rst 7

;------------------------------------------------
;
;------------------------------------------------
pp24:             daa               ; $0820 27
                  daa               ; $0821 27
                  rlc               ; $0822 07
                  lxi h,$07c2       ; $0823 21 c2 07
                  inr m             ; $0826 34
                  jnz m031          ; $0827 c2 6e 08
                  dcr m             ; $082a 35
                  lxi h,$0893       ; $082b 21 93 08
   m033:          inr m             ;   $082e 34
                  mvi a,0x3a        ; $082f 3e 3a
                  cmp m             ; $0831 be
                  jnz m032          ; $0832 c2 3b 08
                  mvi m,0x30        ; $0835 36 30
                  dcx h             ; $0837 2b
                  jmp m033          ; $0838 c3 2e 08
   m032:          lxi h,$089c       ; $083b 21 9c 08  ; текстовые данные определены
                  call MsgToScr     ; $083e cd 18 f8
                  lxi h,$088e       ; $0841 21 8e 08 ; текстовые данные определены
                  call MsgToScr     ; $0844 cd 18 f8
   m040:          lxi h,$0554       ; $0847 21 54 05  ; текстовые данные ????????
                  xra a             ; $084a af
   m035:          cmp m             ; $084b be
                  jz m034           ; $084c ca 53 08
                  inx h             ; $084f 23
                  jmp m035          ; $0850 c3 4b 08
   m034:          dcx h             ; $0853 2b
   m037:          dcr m             ; $0854 35
                  mvi a,0x2f        ; $0855 3e 2f
                  cmp m             ; $0857 be
                  jnz m036          ; $0858 c2 61 08
                  mvi m,0x39        ; $085b 36 39
                  dcx h             ; $085d 2b
                  jmp m037          ; $085e c3 54 08
   m036:          lxi h,$054f       ; $0861 21 4f 05  ; текстовые данные определены
                  call MsgToScr     ; $0864 cd 18 f8
                  lxi h,$0554       ; $0867 21 54 05  ; текстовые данные ???????
                  call MsgToScr     ; $086a cd 18 f8
                  ret               ; $086d c9
   m031:          dcr m             ; $086e 35
                  lxi h,$089a       ; $086f 21 9a 08
   m039:          inr m             ; $0872 34
                  mvi a,0x3a        ; $0873 3e 3a
                  cmp m             ; $0875 be
                  jnz m038          ; $0876 c2 7f 08
                  mvi m,0x30        ; $0879 36 30
                  dcx h             ; $087b 2b
                  jmp m039          ; $087c c3 72 08
   m038:          lxi h,$08a1       ; $087f 21 a1 08  ; текстовые данные определены
                  call MsgToScr     ; $0882 cd 18 f8
                  lxi h,$0895       ; $0885 21 95 08  ; текстовые данные определены
                  call MsgToScr     ; $0888 cd 18 f8
                  jmp m040          ; $088b c3 47 08
;----------------------------------------------------------------


;---------------------------------------
;
;---------------------------------------
.byte 0x30,0x30,0x30,0x30,0x30,0x30,0x00
;       0    0    0    0    0    0
;$088e 30         ???
;$088f 30         ???
;$0890 30         ???
;$0891 30         ???
;$0892 30         ???
;$0893 30         ???
;$0894 00         nop
;---------------------------------------




;---------------------------------------
;
;---------------------------------------
.byte 0x30,0x30,0x30,0x30,0x30,0x30,0x00
;       0    0    0    0    0    0
;$0895 30         ???
;$0896 30         ???
;$0897 30         ???
;$0898 30         ???
;$0899 30         ???
;$089a 30         ???
;$089b 00         nop

;------------------------------------------
;
;------------------------------------------
.byte 0x1b,0x59,0x32,0x26,0x00
;      АР2        2    &
;$089c 1b         dcx d
;$089d 59         mov e,c
;$089e 32
;$089f 26
;$08a0 00
;-------------------------------------------



;------------------------------------------
;
;------------------------------------------
.byte 0x1b,0x59,0x32,0x3d,0x00
;      АР2        2    =
;$08a1 1b         dcx d
;$08a2 59         mov e,c
;$08a3 32
;$08a3 3d
;$08a3 00
;------------------------------------------


$08a6 ff         rst 7
$08a7 00         nop
$08a8 ff         rst 7
$08a9 00         nop
$08aa ff         rst 7
$08ab 00         nop
$08ac ff         rst 7
$08ad 00         nop
$08ae ff         rst 7
$08af 00         nop


;-------------------------------------------------
;
;-------------------------------------------------
pp25:             lxi h,$08de          ; $08b0 21 de 08   ; текстовые данные определены
                  call MsgToScr        ; $08b3 cd 18 f8
   m043:          call KeyInput        ; $08b6 cd 1b f8
                  cpi 0x6e             ; $08b9 fe 6e
                  jz m041              ; $08bb ca db 08
                  cpi 0x64             ; $08be fe 64
                  jz m042              ; $08c0 ca c6 08
                  jmp m043             ; $08c3 c3 b6 08
   m042:          lxi h,$0554          ; $08c6 21 54 05
                  mvi a,0x30           ; $08c9 3e 30
                  mvi b,0x06           ; $08cb 06 06
   m045:          cmp m                ; $08cd be
                  jc m044              ; $08ce da d9 08
                  dcr b                ; $08d1 05
                  jz m041              ; $08d2 ca db 08
                  inx h                ; $08d5 23
                  jmp m045             ; $08d6 c3 cd 08
   m044:          xra a                ; $08d9 af
                  ret                  ; $08da c9
   m041:          ori 0xff             ; $08db f6 ff
                  ret                  ; $08dd c9
;-------------------------------------------------



;-------------------------------------------
;
;-------------------------------------------
; from 08de to 08df
.byte 0x1b,0x59
;      АР2
;$08de 1b         dcx d
;$08df 59         mov e,c

; from 08e0 to 08ef
.byte 0x2b,0x2a,0x20,0x20,0x20,0x20,0x70,0x72,0x6f,0x64,0x6f,0x6c,0x76,0x69,0x6d,0x20
;       +    *                        П    Р    О    Д    О    Л    Ж    И    М
;$08e0 2b         dcx h
;$08e1 2a 20 20   lhld $2020
;$08e4 20         ???
;$08e5 20         ???
;$08e6 70         mov m,b
;$08e7 72         mov m,d
;$08e8 6f         mov l,a
;$08e9 64         mov h,h
;$08ea 6f         mov l,a
;$08eb 6c         mov l,h
;$08ec 76         hlt
;$08ed 69         mov l,c
;$08ee 6d         mov l,l
;$08ef 20         ???

; from 08f0 to 08ff
.byte 0x70,0x72,0x6f,0x77,0x65,0x72,0x6b,0x75,0x20,0x70,0x61,0x72,0x74,0x69,0x69,0x20
;       П    Р    О    В    Е    Р    К    У         П    А    Р    Т    И    И
;$08f0 70         mov m,b
;$08f1 72         mov m,d
;$08f2 6f         mov l,a
;$08f3 77         mov m,a
;$08f4 65         mov h,l
;$08f5 72         mov m,d
;$08f6 6b         mov l,e
;$08f7 75         mov m,l
;$08f8 20         ???
;$08f9 70         mov m,b
;$08fa 61         mov h,c
;$08fb 72         mov m,d
;$08fc 74         mov m,h
;$08fd 69         mov l,c
;$08fe 69         mov l,c
;$08ff 20         ???

; from 0900 to 090f
.byte 0x20,0x2d,0x20,0x28,0x64,0x2f,0x6e,0x29,0x3f,0x20,0x20,0x20,0x00
;            -         (    Д    /    Н    )    ?
;$0900 20         ???
;$0901 2d         dcr l
;$0902 20         ???
;$0903 28         ???
;$0904 64         mov h,h
;$0905 2f         cma
;$0906 6e         mov l,m
;$0907 29         dad h
;$0908 3f         cmc
;$0909 20         ???
;$090a 20         ???
;$090b 20         ???
;$090c 00         nop
;--------------------------------------------------------


$090d ff         rst 7
$090e 00         nop
$090f ff         rst 7


   m046:             lxi h,$0957          ; $0910 21 57 09  ; текстовые данные определены
                     call MsgToScr        ; $0913 cd 18 f8  
                     lxi h,$089c          ;  $0916 21 9c 08  ; текстовые данные определены
                     call MsgToScr        ; $0919 cd 18 f8
                     lxi h,$088e          ; $091c 21 8e 08   ; текстовые данные определены
                     call MsgToScr        ; $091f cd 18 f8
                     lxi h,$054f          ; $0922 21 4f 05   ; текстовые данные определеныs
                     call MsgToScr        ; $0925 cd 18 f8
                     lxi h,$0554          ; $0928 21 54 05
                     call MsgToScr        ; $092b cd 18 f8
                     lxi h,$08a1          ; $092e 21 a1 08   ; текстовые данные определены
                     call MsgToScr        ; $0931 cd 18 f8
                     lxi h,$0895          ; $0934 21 95 08   ; текстовые данные определены
                     call MsgToScr        ; $0937 cd 18 f8
                     lxi h,$0895          ; $093a 21 95 08   ; текстовые данные определены
                     call $0986           ; $093d cd 86 09
                     lxi h,$088e          ; $0940 21 8e 08   ; текстовые данные определены
                     call $0986           ; $0943 cd 86 09
                     lxi h,$0554          ; $0946 21 54 05
                     call $098b           ; $0949 cd 8b 09
   m047:             call KeyInput        ; $094c cd 1b f8
                     cpi 0xff             ; $094f fe ff
                     jnz m003             ; $0951 c2 d0 01
                     jmp m047             ; $0954 c3 4c 09


;-------------------------------------------------
;
;-------------------------------------------------
; from 0957 to 095f
.byte 0x1b,0x59,0x2b,0x2a,0x20,0x20,0x20,0x20,0x20
;      АР2        +    *
;$0957 1b         dcx d
;$0958 59         mov e,c
;$0959 2b         dcx h
;$095a 2a 20 20   lhld $2020
;$095d 20         ???
;$095e 20         ???
;$095f 20         ???

; from 0960 to 096f
.byte 0x69,0x74,0x6f,0x67,0x6f,0x77,0x79,0x6a,0x20,0x72,0x65,0x7a,0x75,0x6c,0x78,0x74
;       И    Т    О    Г    О    В    Ы    Й         Р    Е    Э    У    Л    Ь    Т
;$0960 69         mov l,c
;$0961 74         mov m,h
;$0962 6f         mov l,a
;$0963 67         mov h,a
;$0964 6f         mov l,a
;$0965 77         mov m,a
;$0966 79         mov a,c
;$0967 6a         mov l,d
;$0968 20         ???
;$0969 72         mov m,d
;$096a 65         mov h,l
;$096b 7a         mov a,d
;$096c 75         mov m,l
;$096d 6c         mov l,h
;$096e 78         mov a,b
;$096f 74         mov m,h

; from 0970 to 097f
.byte 0x61,0x74,0x20,0x70,0x72,0x6f,0x77,0x65,0x72,0x6b,0x69,0x20,0x70,0x61,0x72,0x74
;       А    Т         П    Р    О    В    Е    Р    К    И         П    А    Р    Т
;$0970 61         mov h,c
;$0971 74         mov m,h
;$0972 20         ???
;$0973 70         mov m,b
;$0974 72         mov m,d
;$0975 6f         mov l,a
;$0976 77         mov m,a
;$0977 65         mov h,l
;$0978 72         mov m,d
;$0979 6b         mov l,e
;$097a 69         mov l,c
;$097b 20         ???
;$097c 70         mov m,b
;$097d 61         mov h,c
;$097e 72         mov m,d
;$097f 74         mov m,h

; from 0980 to 098f
.byte 0x69,0x69,0x20,0x20,0x20,0x00
;       И    И
;$0980 69         mov l,c
;$0981 69         mov l,c
;$0982 20         ???
;$0983 20         ???
;$0984 20         ???
;$0985 00         nop
;-------------------------------------------------


;-------------------------------------------------
;
;-------------------------------------------------
$0986 3e 30      mvi a,$30
$0988 c3 8c 09   jmp $098c
$098b af         xra a
$098c 06 06      mvi b,$06
$098e 77         mov m,a
$098f 23         inx h
$0990 05         dcr b
$0991 c2 8e 09   jnz $098e
$0994 c9         ret


$0995 00         nop
$0996 ff         rst 7
$0997 00         nop
$0998 ff         rst 7
$0999 00         nop
$099a ff         rst 7
$099b 00         nop
$099c ff         rst 7
$099d 00         nop
$099e ff         rst 7
$099f 00         nop

   m020:       lda $031a      ; $09a0 3a 1a 03
$09a3 2a 1c 03   lhld $031c
$09a6 f5         push psw
$09a7 e5         push h
$09a8 3e 03      mvi a,$03
$09aa 32 1a 03   sta $031a
$09ad 21 49 0a   lxi h,$0a49
$09b0 22 1c 03   shld $031c
      call pp15      ; $09b3 cd 06 03
$09b6 e1         pop h
$09b7 22 1c 03   shld $031c
$09ba f1         pop psw
$09bb 32 1a 03   sta $031a
                  lxi h,$09f0       ; $09be 21 f0 09  ; текстовые данные определены
                  call MsgToScr     ; $09c1 cd 18 f8
                  call SymbInput        ; $09c4 cd 03 f8
$09c7 fe 31      cpi $31
$09c9 da c4 09   jc $09c4
$09cc fe 3a      cpi $3a
$09ce d2 c4 09   jnc $09c4
$09d1 4f         mov c,a
               call SymbToScr     ; $09d2 cd 09 f8
$09d5 3a 01 20   lda $2001
$09d8 b9         cmp c
$09d9 ca 58 0a   jz $0a58
                  lxi h,$0a2b       ; $09dc 21 2b 0a  ; текстовые данные определены
                  call MsgToScr     ; $09df cd 18 f8
                  call pp19         ; $09e2 cd 35 07
                  call KeyInput     ; $09e5 cd 1b f8
$09e8 fe ff      cpi $ff
$09ea ca e5 09   jz $09e5
   jmp m003        ; $09ed c3 d0 01

;--------------------------------------------------
;
;--------------------------------------------------
; from 09f0 to 09ff
.byte 0x1b,0x59,0x26,0x32,0x6f,0x70,0x72,0x65,0x64,0x65,0x6c,0x65,0x6e,0x69,0x65,0x20
;      АР2        &    2    О    П    Р    Е    Д    Е    Л    Е    Н    И    Е
;$09f0 1b         dcx d
;$09f1 59         mov e,c
;$09f2 26 32      mvi h,$32
;$09f4 6f         mov l,a
;$09f5 70         mov m,b
;$09f6 72         mov m,d
;$09f7 65         mov h,l
;$09f8 64         mov h,h
;$09f9 65         mov h,l
;$09fa 6c         mov l,h
;$09fb 65         mov h,l
;$09fc 6e         mov l,m
;$09fd 69         mov l,c
;$09fe 65         mov h,l
;$09ff 20         ???

; from 0a00 to 0aff
.byte 0x74,0x69,0x70,0x61,0x20,0x6d,0x69,0x6b,0x72,0x6f,0x73,0x68,0x65,0x6d,0x1b,0x59
;       Т    И    П    А         М    И    К    Р    О    С    Х    Е    М   АР2
;$0a00 74         mov m,h
;$0a01 69         mov l,c
;$0a02 70         mov m,b
;$0a03 61         mov h,c
;$0a04 20         ???
;$0a05 6d         mov l,l
;$0a06 69         mov l,c
;$0a07 6b         mov l,e
;$0a08 72         mov m,d
;$0a09 6f         mov l,a
;$0a0a 73         mov m,e
;$0a0b 68         mov l,b
;$0a0c 65         mov h,l
;$0a0d 6d         mov l,l
;$0a0e 1b         dcx d
;$0a0f 59         mov e,c

; from 0a10 to 0a1f
.byte 0x2b,0x32,0x77,0x77,0x65,0x64,0x69,0x74,0x65,0x20,0x6e,0x6f,0x6d,0x65,0x72,0x20
;       +    2    В    В    Е    Д    И    Т    Е         Н    О    М    Е    Р
;$0a10 2b         dcx h
;$0a11 32 77 77   sta $7777
;$0a14 65         mov h,l
;$0a15 64         mov h,h
;$0a16 69         mov l,c
;$0a17 74         mov m,h
;$0a18 65         mov h,l
;$0a19 20         ???
;$0a1a 6e         mov l,m
;$0a1b 6f         mov l,a
;$0a1c 6d         mov l,l
;$0a1d 65         mov h,l
;$0a1e 72         mov m,d
;$0a1f 20         ???

; from 0a20 to 0a2a
.byte 0x61,0x64,0x61,0x70,0x74,0x65,0x72,0x61,0x20,0x20,0x00
;       А    Д    А    П    Т    Е    Р    А
;$0a20 61         mov h,c
;$0a21 64         mov h,h
;$0a22 61         mov h,c
;$0a23 70         mov m,b
;$0a24 74         mov m,h
;$0a25 65         mov h,l
;$0a26 72         mov m,d
;$0a27 61         mov h,c
;$0a28 20         ???
;$0a29 20         ???
;$0a2a 00         nop


;--------------------------------------------------
;
;--------------------------------------------------
; from 0a2b to 0a2f
.byte 0x1b,0x59,0x2b,0x32,0x73
;      АР2        +    2    С
;$0a2b 1b         dcx d
;$0a2c 59         mov e,c
;$0a2d 2b         dcx h
;$0a2e 32
;$0a2f 73

; from 0a30 to 0a3f
.byte 0x6d,0x65,0x6e,0x69,0x74,0x65,0x20,0x20,0x20,0x20,0x62,0x61,0x7a,0x75,0x20,0x20
;       М    Е    Н    И    Т    Е                        Б    А    Э    У
;$0a30 6d   sta $6d73
;$0a31 65         mov h,l
;$0a32 6e         mov l,m
;$0a33 69         mov l,c
;$0a34 74         mov m,h
;$0a35 65         mov h,l
;$0a36 20         ???
;$0a37 20         ???
;$0a38 20         ???
;$0a39 20         ???
;$0a3a 62         mov h,d
;$0a3b 61         mov h,c
;$0a3c 7a         mov a,d
;$0a3d 75         mov m,l
;$0a3e 20         ???
;$0a3f 20         ???

; from 0a40 to 0a48
.byte 0x20,0x20,0x64,0x61,0x6e,0x6e,0x79,0x68,0x00
;                 Д    А    Н    Н    Ы    Х
;$0a40 20         ???
;$0a41 20         ???
;$0a42 64         mov h,h
;$0a43 61         mov h,c
;$0a44 6e         mov l,m
;$0a45 6e         mov l,m
;$0a46 79         mov a,c
;$0a47 68         mov l,b
;$0a48 00         nop



$0a49 47         mov b,a
$0a4a 94         sub h
$0a4b 30         ???
$0a4c 94         sub h
$0a4d bc         cmp h
$0a4e 7f         mov a,a
$0a4f 91         sub c
$0a50 60         mov h,b
$0a51 91         sub c
$0a52 bf         cmp a
$0a53 c7         rst 0
$0a54 91         sub c
$0a55 90         sub b
$0a56 91         sub c
$0a57 bf         cmp a
$0a58 00         nop
$0a59 ff         rst 7
$0a5a 00         nop
$0a5b ff         rst 7
$0a5c 00         nop
$0a5d ff         rst 7
$0a5e 00         nop
$0a5f ff         rst 7
$0a60 c5         push b
                  lxi h,$0aa8          ; $0a61 21 a8 0a ; текстовые данные определены
                  call MsgToScr     ; $0a64 cd 18 f8
                  pop b       ; $0a67 c1
                  call SymbToScr       ; $0a68 cd 09 f8
                  call pp19        ; $0a6b cd 35 07
                  call KeyInput     ; $0a6e cd 1b f8
$0a71 fe ff      cpi $ff
$0a73 ca 6e 0a   jz $0a6e
$0a76 3e 01      mvi a,$01
$0a78 32 cf 06   sta $06cf
$0a7b cd f4 06   call $06f4
                  call pp20        ; $0a7e cd 1c 07
$0a81 3a c2 07   lda $07c2
$0a84 fe 00      cpi $00
$0a86 c2 60 0b   jnz $0b60
$0a89 21 cf 06   lxi h,$06cf
$0a8c 34         inr m
$0a8d 3e 64      mvi a,$64
$0a8f be         cmp m
$0a90 d2 7b 0a   jnc $0a7b
                  lxi h,$0b0b       ; $0a93 21 0b 0b  ; текстовые данные определены
                  call MsgToScr     ; $0a96 cd 18 f8
                  call pp19         ; $0a99 cd 35 07
                  call KeyInput     ; $0a9c cd 1b f8
$0a9f fe ff      cpi $ff
$0aa1 ca 9c 0a   jz $0a9c
$0aa4 c3 9b 0b   jmp $0b9b
$0aa7 00         nop

;-----------------------------------------
;
;-----------------------------------------
; from 0aa8 tj 0aaf
.byte 0x1b,0x59,0x30,0x2f,0x75,0x73,0x74,0x61
;      АР2        0    /    У    С    Т    А
;$0aa8 1b         dcx d
;$0aa9 59         mov e,c
;$0aaa 30         ???
;$0aab 2f         cma
;$0aac 75         mov m,l
;$0aad 73         mov m,e
;$0aae 74         mov m,h
;$0aaf 61         mov h,c

; from 0ab0 tj 0abf
.byte 0x6e,0x6f,0x77,0x69,0x74,0x65,0x20,0x6d,0x69,0x6b,0x72,0x6f,0x73,0x68,0x65,0x6d
;       Н    О    В    И    Т    Е         М    И    К    Р    О    С    Х    Е    М
;$0ab0 6e         mov l,m
;$0ab1 6f         mov l,a
;$0ab2 77         mov m,a
;$0ab3 69         mov l,c
;$0ab4 74         mov m,h
;$0ab5 65         mov h,l
;$0ab6 20         ???
;$0ab7 6d         mov l,l
;$0ab8 69         mov l,c
;$0ab9 6b         mov l,e
;$0aba 72         mov m,d
;$0abb 6f         mov l,a
;$0abc 73         mov m,e
;$0abd 68         mov l,b
;$0abe 65         mov h,l
;$0abf 6d         mov l,l

; from 0ac0 tj 0acf
.byte 0x75,0x20,0x77,0x20,0x61,0x64,0x61,0x70,0x74,0x65,0x72,0x1b,0x59,0x31,0x2f,0x69
;       У         В         А    Д    А    П    Т    Е    Р   АР2        1    /    И
;$0ac0 75         mov m,l
;$0ac1 20         ???
;$0ac2 77         mov m,a
;$0ac3 20         ???
;$0ac4 61         mov h,c
;$0ac5 64         mov h,h
;$0ac6 61         mov h,c
;$0ac7 70         mov m,b
;$0ac8 74         mov m,h
;$0ac9 65         mov h,l
;$0aca 72         mov m,d
;$0acb 1b         dcx d
;$0acc 59         mov e,c
;$0acd 31 2f 69   lxi sp,$692f

; from 0ad0 tj 0adf
.byte 0x20,0x20,0x20,0x20,0x6e,0x61,0x76,0x6d,0x69,0x74,0x65,0x20,0x20,0x20,0x20,0x6b
;                           Н    А    Ж    М    И    Т    Е                        К
;$0ad0 20         ???
;$0ad1 20         ???
;$0ad2 20         ???
;$0ad3 20         ???
;$0ad4 6e         mov l,m
;$0ad5 61         mov h,c
;$0ad6 76         hlt
;$0ad7 6d         mov l,l
;$0ad8 69         mov l,c
;$0ad9 74         mov m,h
;$0ada 65         mov h,l
;$0adb 20         ???
;$0adc 20         ???
;$0add 20         ???
;$0ade 20         ???
;$0adf 6b         mov l,e

; from 0ae0 tj 0aef
.byte 0x6c,0x61,0x77,0x69,0x7b,0x75,0x20,0x20,0x20,0x5b,0x77,0x6b,0x5d,0x2e,0x1b,0x59
;       Л    А    В    И    Ш    У                   [    В    К    ]    .   АР2
;$0ae0 6c         mov l,h
;$0ae1 61         mov h,c
;$0ae2 77         mov m,a
;$0ae3 69         mov l,c
;$0ae4 7b         mov a,e
;$0ae5 75         mov m,l
;$0ae6 20         ???
;$0ae7 20         ???
;$0ae8 20         ???
;$0ae9 5b         mov e,e
;$0aea 77         mov m,a
;$0aeb 6b         mov l,e
;$0aec 5d         mov e,l
;$0aed 2e 1b      mvi l,$1b
;$0aef 59         mov e,c

; from 0af0 tj 0aff
.byte 0x2b,0x32,0x61,0x64,0x61,0x70,0x74,0x65,0x72,0x20,0x20,0x20,0x20,0x20,0x6e,0x6f
;       +    2    А    Д    А    П    Т    Е    Р                             Н    О
;$0af0 2b         dcx h
;$0af1 32 61 64   sta $6461
;$0af4 61         mov h,c
;$0af5 70         mov m,b
;$0af6 74         mov m,h
;$0af7 65         mov h,l
;$0af8 72         mov m,d
;$0af9 20         ???
;$0afa 20         ???
;$0afb 20         ???
;$0afc 20         ???
;$0afd 20         ???
;$0afe 6e         mov l,m
;$0aff 6f         mov l,a

; from 0b00 tj 0b0a
.byte 0x6d,0x65,0x72,0x20,0x20,0x20,0x20,0x2d,0x20,0x20,0x00
;       И    Е    Р                        -
;$0b00 6d         mov l,l
;$0b01 65         mov h,l
;$0b02 72         mov m,d
;$0b03 20         ???
;$0b04 20         ???
;$0b05 20         ???
;$0b06 20         ???
;$0b07 2d         dcr l
;$0b08 20         ???
;$0b09 20         ???
;$0b0a 00         nop
;--------------------------------------------------------


;----------------------------------------------
;
;----------------------------------------------
; from 0b0b to 0b0f
.byte 0x1b,0x59,0x30,0x2f,0x6f
;      АР2        0    /    О
;$0b0b 1b         dcx d
;$0b0c 59         mov e,c
;$0b0d 30         ???
;$0b0e 2f         cma
;$0b0f 6f         mov l,a

; from 0b10 to 0b1f
.byte 0x20,0x20,0x20,0x74,0x61,0x6b,0x6f,0x6a,0x20,0x20,0x20,0x20,0x69,0x6d,0x73,0x20
;                      Т    А    К    О    Й                        И    М    С
;$0b10 20         ???
;$0b11 20         ???
;$0b12 20         ???
;$0b13 74         mov m,h
;$0b14 61         mov h,c
;$0b15 6b         mov l,e
;$0b16 6f         mov l,a
;$0b17 6a         mov l,d
;$0b18 20         ???
;$0b19 20         ???
;$0b1a 20         ???
;$0b1b 20         ???
;$0b1c 69         mov l,c
;$0b1d 6d         mov l,l
;$0b1e 73         mov m,e
;$0b1f 20         ???

; from 0b20 to 0b2f
.byte 0x20,0x20,0x6e,0x65,0x74,0x20,0x20,0x20,0x64,0x61,0x6e,0x6e,0x79,0x68,0x1b,0x59
;                 Н    Е    Т                   Д    А    Н    Н    Ы    Х   АР2
;$0b20 20         ???
;$0b21 20         ???
;$0b22 6e         mov l,m
;$0b23 65         mov h,l
;$0b24 74         mov m,h
;$0b25 20         ???
;$0b26 20         ???
;$0b27 20         ???
;$0b28 64         mov h,h
;$0b29 61         mov h,c
;$0b2a 6e         mov l,m
;$0b2b 6e         mov l,m
;$0b2c 79         mov a,c
;$0b2d 68         mov l,b
;$0b2e 1b         dcx d
;$0b2f 59         mov e,c

; from 0b30 to 0b3f
.byte 0x31,0x21,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20
;       1    !
;$0b30 31 2f 20   lxi sp,$202f
;$0b33 20         ???
;$0b34 20         ???
;$0b35 20         ???
;$0b36 20         ???
;$0b37 20         ???
;$0b38 20         ???
;$0b39 20         ???
;$0b3a 20         ???
;$0b3b 20         ???
;$0b3c 20         ???
;$0b3d 20         ???
;$0b3e 20         ???
;$0b3f 20         ???

; from 0b40 to 0b4f
.byte 0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20
;
;$0b40 20         ???
;$0b41 20         ???
;$0b42 20         ???
;$0b43 20         ???
;$0b44 20         ???
;$0b45 20         ???
;$0b46 20         ???
;$0b47 20         ???
;$0b48 20         ???
;$0b49 20         ???
;$0b4a 20         ???
;$0b4b 20         ???
;$0b4c 20         ???
;$0b4d 20         ???
;$0b4e 20         ???
;$0b4f 20         ???

; from 0b50 to 0b51
.byte 0x20,0x00
;
;$0b50 20         ???
;$0b51 00         nop
;--------------------------------------------------------------

$0b52 00         nop
$0b53 ff         rst 7
$0b54 00         nop
$0b55 ff         rst 7
$0b56 00         nop
$0b57 ff         rst 7
$0b58 00         nop
$0b59 ff         rst 7
$0b5a 00         nop
$0b5b ff         rst 7
$0b5c 00         nop
$0b5d ff         rst 7
$0b5e 00         nop
$0b5f ff         rst 7
$0b60 3a cf 06   lda $06cf
$0b63 32 43 0c   sta $0c43
$0b66 3e 01      mvi a,$01
$0b68 32 cf 06   sta $06cf
$0b6b 21 00 75   lxi h,$7500
$0b6e 11 cf 06   lxi d,$06cf
$0b71 3e 20      mvi a,$20
$0b73 be         cmp m
$0b74 ca 7b 0b   jz $0b7b
$0b77 23         inx h
$0b78 c3 73 0b   jmp $0b73
$0b7b eb         xchg
$0b7c 3a 43 0c   lda $0c43
$0b7f be         cmp m
$0b80 ca 88 0b   jz $0b88
$0b83 34         inr m
$0b84 eb         xchg
$0b85 c3 71 0b   jmp $0b71
$0b88 d5         push d
                  lxi h,$0bb1       ; $0b89 21 b1 0b  ; текстовые данные определены
                  call MsgToScr     ; $0b8c cd 18 f8
                  pop h             ;
                  call MsgToScr     ; $0b90 cd 18 f8
                  call KeyInput     ; $0b93 cd 1b f8
$0b96 fe ff      cpi $ff
$0b98 ca 93 0b   jz $0b93
                  lxi h,$0bfc       ; $0b9b 21 fc 0b  ; текстовые данные определены
                  call MsgToScr     ; $0b9e cd 18 f8
                  call KeyInput     ; $0ba1 cd 1b f8
$0ba4 fe 6e      cpi $6e
   jz m003     ; $0ba6 ca d0 01
$0ba9 fe 64      cpi $64
               jz m020       ; $0bab ca a0 09
$0bae c3 a1 0b   jmp $0ba1



;------------------------------------------------------
;
;------------------------------------------------------
; from 0bb1 to 0bbf
.byte 0x1b,0x59,0x30,0x2f,0x20,0x20,0x20,0x20,0x69,0x6d,0x73,0x20,0x20,0x20,0x74
;      АР2        0    /                        И    М    Р
;$0bb1 1b         dcx d
;$0bb2 59         mov e,c
;$0bb3 30         ???
;$0bb4 2f         cma
;$0bb5 20         ???
;$0bb6 20         ???
;$0bb7 20         ???
;$0bb8 20         ???
;$0bb9 69         mov l,c
;$0bba 6d         mov l,l
;$0bbb 73         mov m,e
;$0bbc 20         ???
;$0bbd 20         ???
;$0bbe 20         ???
;$0bbf 74         mov m,h

; from 0bc0 to 0bcf
.byte 0x69,0x70,0x61,0x20,0x20,0x20,0x20,0x2d,0x20,0x20,0x20,0x0,0x20,0x20,0x20,0x20
;       И    П    А
;$0bc0 69         mov l,c
;$0bc1 70         mov m,b
;$0bc2 61         mov h,c
;$0bc3 20         ???
;$0bc4 20         ???
;$0bc5 20         ???
;$0bc6 20         ???
;$0bc7 2d         dcr l
;$0bc8 20         ???
;$0bc9 20         ???
;$0bca 20         ???
;$0bcb 20         ???
;$0bcc 20         ???
;$0bcd 20         ???
;$0bce 20         ???
;$0bcf 20         ???

; from 0bd0 to 0bdf
.byte 0x20,0x20,0x20,0x20,0x1b,0x59,0x31,0x2f,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20
;     
;$0bd0 20         ???
;$0bd1 20         ???
;$0bd2 20         ???
;$0bd3 20         ???
;$0bd4 1b         dcx d
;$0bd5 59         mov e,c
;$0bd6 31 2f 20   lxi sp,$202f
;$0bd9 20         ???
;$0bda 20         ???
;$0bdb 20         ???
;$0bdc 20         ???
;$0bdd 20         ???
;$0bde 20         ???
;$0bdf 20         ???

; from 0be0 to 0bef
.byte 0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20
;     
;$0be0 20         ???
;$0be1 20         ???
;$0be2 20         ???
;$0be3 20         ???
;$0be4 20         ???
;$0be5 20         ???
;$0be6 20         ???
;$0be7 20         ???
;$0be8 20         ???
;$0be9 20         ???
;$0bea 20         ???
;$0beb 20         ???
;$0bec 20         ???
;$0bed 20         ???
;$0bee 20         ???
;$0bef 20         ???

; from 0bf0 to 0bfb
.byte 0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x1b,0x59,0x30,0x45,0x00
;                                        АР2         0    E     
;$0bf0 20         ???
;$0bf1 20         ???
;$0bf2 20         ???
;$0bf3 20         ???
;$0bf4 20         ???
;$0bf5 20         ???
;$0bf6 20         ???
;$0bf7 1b         dcx d
;$0bf8 59         mov e,c
;$0bf9 30         ???
;$0bfa 45         mov b,l
;$0bfb 00         nop
;------------------------------------------------------




;------------------------------------------------------
;
;------------------------------------------------------
; from 0bfc to 0dff
.byte 0x1b,0x59,0x30,0xf
;     АР2         0   /
;$0bfc 1b         dcx d
;$0bfd 59         mov e,c
;$0bfe 30         ???
;$0bff 2f         cma

; from 0c00 to 0c0f
.byte 0x20,0x20,0x70,0x72,0x6f,0x64,0x6f,0x6c,0x76,0x69,0x6d,0x20,0x20,0x72,0x61,0x62
;                 П    Р    О    Д    О    Л    Ж    И    М              Р    А    Б
;$0c00 20         ???
;$0c01 20         ???
;$0c02 70         mov m,b
;$0c03 72         mov m,d
;$0c04 6f         mov l,a
;$0c05 64         mov h,h
;$0c06 6f         mov l,a
;$0c07 6c         mov l,h
;$0c08 76         hlt
;$0c09 69         mov l,c
;$0c0a 6d         mov l,l
;$0c0b 20         ???
;$0c0c 20         ???
;$0c0d 72         mov m,d
;$0c0e 61         mov h,c
;$0c0f 62         mov h,d

; from 0c10 to 0c1f
.byte 0x6f,0x74,0x75,0x20,0x20,0x77,0x20,0x20,0x72,0x65,0x76,0x69,0x6d,0x65,0x20,0x1b
;       О    Т    У              В              Р    Е    Ж    И    М    Е        АР2
;$0c10 6f         mov l,a
;$0c11 74         mov m,h
;$0c12 75         mov m,l
;$0c13 20         ???
;$0c14 20         ???
;$0c15 77         mov m,a
;$0c16 20         ???
;$0c17 20         ???
;$0c18 72         mov m,d
;$0c19 65         mov h,l
;$0c1a 76         hlt
;$0c1b 69         mov l,c
;$0c1c 6d         mov l,l
;$0c1d 65         mov h,l
;$0c1e 20         ???
;$0c1f 1b         dcx d

; from 0c20 to 0c2f
.byte 0x59,0x31,0x2f,0x20,0x6f,0x70,0x72,0x65,0x64,0x65,0x6c,0x65,0x6e,0x69,0x71,0x20
;            1    /         О    П    Р    Е    Д    Е    Л    Е    Н    И    Я
;$0c20 59         mov e,c
;$0c21 31 2f 20   lxi sp,$202f
;$0c24 6f         mov l,a
;$0c25 70         mov m,b
;$0c26 72         mov m,d
;$0c27 65         mov h,l
;$0c28 64         mov h,h
;$0c29 65         mov h,l
;$0c2a 6c         mov l,h
;$0c2b 65         mov h,l
;$0c2c 6e         mov l,m
;$0c2d 69         mov l,c
;$0c2e 71         mov m,c
;$0c2f 20         ???

; from 0c30 to 0c3f
.byte 0x74,0x69,0x70,0x6f,0x77,0x20,0x69,0x6d,0x73,0x3f,0x20,0x2d,0x20,0x28,0x64,0x2f
;       Т    И    П    О    В         И    М    С    ?         -         (    Д    /
;$0c30 74         mov m,h
;$0c31 69         mov l,c
;$0c32 70         mov m,b
;$0c33 6f         mov l,a
;$0c34 77         mov m,a
;$0c35 20         ???
;$0c36 69         mov l,c
;$0c37 6d         mov l,l
;$0c38 73         mov m,e
;$0c39 3f         cmc
;$0c3a 20         ???
;$0c3b 2d         dcr l
;$0c3c 20         ???
;$0c3d 28         ???
;$0c3e 64         mov h,h
;$0c3f 2f         cma

; from 0c40 to 0c42
.byte 0x6e,0x29,0x00
;       Н    )
;$0c40 6e         mov l,m
;$0c41 29         dad h
;$0c42 00         nop
;------------------------------------------------------


$0c43 02         stax b
$0c44 00         nop
$0c45 ff         rst 7
$0c46 00         nop
$0c47 ff         rst 7
$0c48 00         nop
$0c49 ff         rst 7
$0c4a 00         nop
$0c4b ff         rst 7
$0c4c 00         nop
$0c4d ff         rst 7
$0c4e 00         nop
$0c4f ff         rst 7

   m021:          lda $031a      ; $0c50 3a 1a 03
$0c53 2a 1c 03   lhld $031c
$0c56 f5         push psw
$0c57 e5         push h
$0c58 3e 02      mvi a,$02
$0c5a 32 1a 03   sta $031a
$0c5d 21 f8 0c   lxi h,$0cf8
$0c60 22 1c 03   shld $031c
      call pp15     ; $0c63 cd 06 03
$0c66 e1         pop h
$0c67 22 1c 03   shld $031c
$0c6a f1         pop psw
$0c6b 32 1a 03   sta $031a
                  lxi h,$0d2f       ; $0c6e 21 2f 0d  ; текстовые данные определены
                  call MsgToScr     ; $0c71 cd 18 f8
                  call KeyInput     ; $0c74 cd 1b f8
$0c77 fe ff      cpi $ff
$0c79 ca 74 0c   jz $0c74


   m016:       call pp14     ; $0c7c cd 82 0c
               jmp m017      ; $0c7f c3 a1 0c

;-----------------------------------------
;
;-----------------------------------------
pp14:             lda $031a         ; $0c82 3a 1a 03
                  lhld $031c        ; $0c85 2a 1c 03
                  push psw          ; $0c88 f5
                  push h            ; $0c89 e5
                  mvi a,0x03        ; $0c8a 3e 03
                  sta $031a         ; $0c8c 32 1a 03
                  lxi h,$0d02       ; $0c8f 21 02 0d
                  shld $031c        ; $0c92 22 1c 03
                  call pp15         ; $0c95 cd 06 03
                  pop h             ; $0c98 e1
                  shld $031c        ; $0c99 22 1c 03
                  pop psw           ; $0c9c f1
                  sta $031a         ; $0c9d 32 1a 03
                  ret               ; $0ca0 c9
;-----------------------------------------

m017:             lxi h,$0e0e       ; $0ca1 21 0e 0e
                  call MsgToScr     ; $0ca4 cd 18 f8
                  call KeyInput     ; $0ca7 cd 1b f8
$0caa fe 31      cpi $31
$0cac da a7 0c   jc $0ca7
$0caf fe 3a      cpi $3a
$0cb1 d2 a7 0c   jnc $0ca7
$0cb4 32 4f 0f   sta $0f4f
$0cb7 fe 38      cpi $38
$0cb9 d2 c8 0c   jnc $0cc8
$0cbc 21 01 20   lxi h,$2001
$0cbf 3e 38      mvi a,$38
$0cc1 be         cmp m
$0cc2 c2 dc 09   jnz $09dc
$0cc5 c3 d1 0c   jmp $0cd1
$0cc8 3e 39      mvi a,$39
$0cca 21 01 20   lxi h,$2001
$0ccd be         cmp m
$0cce c2 dc 09   jnz $09dc
$0cd1 3a 1a 03   lda $031a
$0cd4 2a 1c 03   lhld $031c
$0cd7 f5         push psw
$0cd8 e5         push h
$0cd9 3e 06      mvi a,$06
$0cdb 32 1a 03   sta $031a
$0cde 21 11 0d   lxi h,$0d11
$0ce1 22 1c 03   shld $031c
         call pp15        ; $0ce4 cd 06 03
$0ce7 e1         pop h
$0ce8 22 1c 03   shld $031c
$0ceb f1         pop psw
$0cec 32 1a 03   sta $031a
$0cef 21 ef 0e   lxi h,$0eef
   call MsgToScr     ; $0cf2 cd 18 f8
$0cf5 c3 50 0f   jmp $0f50
$0cf8 47         mov b,a
$0cf9 94         sub h
$0cfa 30         ???
$0cfb 94         sub h
$0cfc bc         cmp h
$0cfd e7         rst 4
$0cfe 91         sub c
$0cff 70         mov m,b
$0d00 91         sub c
$0d01 bf         cmp a
$0d02 47         mov b,a
$0d03 94         sub h
$0d04 30         ???
$0d05 94         sub h
$0d06 bc         cmp h
$0d07 7f         mov a,a
$0d08 91         sub c
$0d09 60         mov h,b
$0d0a 91         sub c
$0d0b bf         cmp a
$0d0c fa 91 90   jm $9091
$0d0f 91         sub c
$0d10 bf         cmp a
$0d11 47         mov b,a
$0d12 94         sub h
$0d13 30         ???
$0d14 94         sub h
$0d15 bc         cmp h
$0d16 7f         mov a,a
$0d17 91         sub c
$0d18 60         mov h,b
$0d19 91         sub c
$0d1a bf         cmp a
$0d1b af         xra a
$0d1c 91         sub c
$0d1d 90         sub b
$0d1e 91         sub c
$0d1f a6         ana m
$0d20 df         rst 3
$0d21 91         sub c
$0d22 c0         rnz
$0d23 91         sub c
$0d24 a6         ana m
$0d25 df         rst 3
$0d26 aa         xra d
$0d27 c0         rnz
$0d28 aa         xra d
$0d29 bf         cmp a
$0d2a af         xra a
$0d2b aa         xra d
$0d2c 90         sub b
$0d2d aa         xra d
$0d2e bf         cmp a

;------------------------------------------------------
;
;------------------------------------------------------
; from 0d2f to 0d3f
.byte 0x1b,0x59,0x26,0x2d,0x70,0x6f,0x69,0x73,0x6b,0x20,0x61,0x6e,0x61,0x6c,0x6f,0x67,0x6f
;     АР2         &    -    П    О    И    С    К         А    Н    А    Л    О    Г    О
;$0d2f 1b         dcx d
;$0d30 59         mov e,c
;$0d31 26 2d      mvi h,$2d
;$0d33 70         mov m,b
;$0d34 6f         mov l,a
;$0d35 69         mov l,c
;$0d36 73         mov m,e
;$0d37 6b         mov l,e
;$0d38 20         ???
;$0d39 61         mov h,c
;$0d3a 6e         mov l,m
;$0d3b 61         mov h,c
;$0d3c 6c         mov l,h
;$0d3d 6f         mov l,a
;$0d3e 67         mov h,a
;$0d3f 6f         mov l,a

;------------------------------------------------------
; from 0d40 to 0d4f
.byte 0x77,0x20,0x7a,0x61,0x72,0x75,0x62,0x65,0x76,0x6e,0x79,0x68,0x20,0x6d,0x69,0x6b
;       В         Э    А    Р    У    Б    Е    Ж    Н    Ы    Х         М    И    К
;$0d40 77         mov m,a
;$0d41 20         ???
;$0d42 7a         mov a,d
;$0d43 61         mov h,c
;$0d44 72         mov m,d
;$0d45 75         mov m,l
;$0d46 62         mov h,d
;$0d47 65         mov h,l
;$0d48 76         hlt
;$0d49 6e         mov l,m
;$0d4a 79         mov a,c
;$0d4b 68         mov l,b
;$0d4c 20         ???
;$0d4d 6d         mov l,l
;$0d4e 69         mov l,c
;$0d4f 6b         mov l,e

;------------------------------------------------------
; from 0d50 to 0d5f
.byte 0x72,0x6f,0x73,0x68,0x65,0x6d,0x1b,0x59,0x2e,0x23,0x20,0x70,0x6f,0x6c,0x6e,0x6f
;       Р    О    С    Х    Е    М  АР2         .    #         П    О    Л    Н    О
;$0d50 72         mov m,d
;$0d51 6f         mov l,a
;$0d52 73         mov m,e
;$0d53 68         mov l,b
;$0d54 65         mov h,l
;$0d55 6d         mov l,l
;$0d56 1b         dcx d
;$0d57 59         mov e,c
;$0d58 2e 23      mvi l,$23
;$0d5a 20         ???
;$0d5b 70         mov m,b
;$0d5c 6f         mov l,a
;$0d5d 6c         mov l,h
;$0d5e 6e         mov l,m
;$0d5f 6f         mov l,a

;------------------------------------------------------
; from 0d60 to 0d6f
.byte 0x65,0x20,0x20,0x75,0x73,0x6c,0x6f,0x77,0x6e,0x6f,0x65,0x20,0x20,0x6f,0x62,0x6f
;       Е              У    С    Л    О    В    Н    О    Е              О    Б    О
;$0d60 65         mov h,l
;$0d61 20         ???
;$0d62 20         ???
;$0d63 75         mov m,l
;$0d64 73         mov m,e
;$0d65 6c         mov l,h
;$0d66 6f         mov l,a
;$0d67 77         mov m,a
;$0d68 6e         mov l,m
;$0d69 6f         mov l,a
;$0d6a 65         mov h,l
;$0d6b 20         ???
;$0d6c 20         ???
;$0d6d 6f         mov l,a
;$0d6e 62         mov h,d
;$0d6f 6f         mov l,a

;------------------------------------------------------
; from 0d70 to 0d7f
.byte 0x7a,0x6e,0x61,0x7e,0x65,0x6e,0x69,0x65,0x20,0x20,0x20,0x66,0x75,0x6e,0x6b,0x63
;       З    Н    А    Ч    Е    Н    И    Е                   Ф    У    Н    К    Ц
;$0d70 7a         mov a,d
;$0d71 6e         mov l,m
;$0d72 61         mov h,c
;$0d73 7e         mov a,m
;$0d74 65         mov h,l
;$0d75 6e         mov l,m
;$0d76 69         mov l,c
;$0d77 65         mov h,l
;$0d78 20         ???
;$0d79 20         ???
;$0d7a 20         ???
;$0d7b 66         mov h,m
;$0d7c 75         mov m,l
;$0d7d 6e         mov l,m
;$0d7e 6b         mov l,e
;$0d7f 63         mov h,e

;------------------------------------------------------
; from 0d80 to 0d8f
.byte 0x69,0x6f,0x6e,0x61,0x6c,0x78,0x6e,0x6f,0x67,0x6f,0x20,0x20,0x61,0x6e,0x61,0x6c
;       И    О    Н    А    Л    Ь    Н    О    Г    О              А    Н    А    Л
;$0d80 69         mov l,c
;$0d81 6f         mov l,a
;$0d82 6e         mov l,m
;$0d83 61         mov h,c
;$0d84 6c         mov l,h
;$0d85 78         mov a,b
;$0d86 6e         mov l,m
;$0d87 6f         mov l,a
;$0d88 67         mov h,a
;$0d89 6f         mov l,a
;$0d8a 20         ???
;$0d8b 20         ???
;$0d8c 61         mov h,c
;$0d8d 6e         mov l,m
;$0d8e 61         mov h,c
;$0d8f 6c         mov l,h

;------------------------------------------------------
; from 0d90 to 0d9f
.byte 0x6f,0x67,0x61,0x1b,0x59,0x30,0x23,0x20,0x6f,0x62,0x72,0x61,0x7a,0x75,0x65,0x74
;       О    Г    А   АР2        0    #         О    Б    Р    А    З    У    Е    Т
;$0d90 6f         mov l,a
;$0d91 67         mov h,a
;$0d92 61         mov h,c
;$0d93 1b         dcx d
;$0d94 59         mov e,c
;$0d95 30         ???
;$0d96 23         inx h
;$0d97 20         ???
;$0d98 6f         mov l,a
;$0d99 62         mov h,d
;$0d9a 72         mov m,d
;$0d9b 61         mov h,c
;$0d9c 7a         mov a,d
;$0d9d 75         mov m,l
;$0d9e 65         mov h,l
;$0d9f 74         mov m,h

;------------------------------------------------------
; from 0da0 to 0daf
.byte 0x73,0x71,0x20,0x20,0x20,0x20,0x69,0x7a,0x20,0x20,0x20,0x6f,0x62,0x6f,0x7a,0x6e
;       С    Я                        И    З                   О    Б    О    З    Н
;$0da0 73         mov m,e
;$0da1 71         mov m,c
;$0da2 20         ???
;$0da3 20         ???
;$0da4 20         ???
;$0da5 20         ???
;$0da6 69         mov l,c
;$0da7 7a         mov a,d
;$0da8 20         ???
;$0da9 20         ???
;$0daa 20         ???
;$0dab 6f         mov l,a
;$0dac 62         mov h,d
;$0dad 6f         mov l,a
;$0dae 7a         mov a,d
;$0daf 6e         mov l,m

;------------------------------------------------------
; from 0db0 to 0dbf
.byte 0x61,0x7e,0x65,0x6e,0x69,0x71,0x20,0x20,0x20,0x73,0x6f,0x6f,0x74,0x77,0x65,0x74
;       А    Ч    Е    Н    И    Я                   С    О    О    Т    В    Е    Т
;$0db0 61         mov h,c
;$0db1 7e         mov a,m
;$0db2 65         mov h,l
;$0db3 6e         mov l,m
;$0db4 69         mov l,c
;$0db5 71         mov m,c
;$0db6 20         ???
;$0db7 20         ???
;$0db8 20         ???
;$0db9 73         mov m,e
;$0dba 6f         mov l,a
;$0dbb 6f         mov l,a
;$0dbc 74         mov m,h
;$0dbd 77         mov m,a
;$0dbe 65         mov h,l
;$0dbf 74         mov m,h

;------------------------------------------------------
; from 0dc0 to 0dcf
.byte 0x73,0x74,0x77,0x75,0x60,0x7d,0x65,0x6a,0x20,0x20,0x20,0x73,0x65,0x72,0x69,0x69
;       С    Т    В    У    Ю    Щ    Е    Й                   С    Е    Р    И    И
;$0dc0 73         mov m,e
;$0dc1 74         mov m,h
;$0dc2 77         mov m,a
;$0dc3 75         mov m,l
;$0dc4 60         mov h,b
;$0dc5 7d         mov a,l
;$0dc6 65         mov h,l
;$0dc7 6a         mov l,d
;$0dc8 20         ???
;$0dc9 20         ???
;$0dca 20         ???
;$0dcb 73         mov m,e
;$0dcc 65         mov h,l
;$0dcd 72         mov m,d
;$0dce 69         mov l,c
;$0dcf 69         mov l,c

;------------------------------------------------------
; from 0dd0 to 0ddf
.byte 0x1b,0x59,0x32,0x23,0x20,0x28,0x53,0x4e,0x35,0x34,0x2c,0x20,0x53,0x4e,0x37,0x34
;     АР2         2    #         (    S    N    5    4    ,         S    N    7    4
;$0dd0 1b         dcx d
;$0dd1 59         mov e,c
;$0dd2 32 23 20   sta $2023
;$0dd5 28         ???
;$0dd6 53         mov d,e
;$0dd7 4e         mov c,m
;$0dd8 35         dcr m
;$0dd9 34         inr m
;$0dda 2c         inr l
;$0ddb 20         ???
;$0ddc 53         mov d,e
;$0ddd 4e         mov c,m
;$0dde 37         stc
;$0ddf 34         inr m

;------------------------------------------------------
; from 0de0 to 0def
.byte 0x4c,0x20,0x69,0x6c,0x69,0x20,0x64,0x72,0x2e,0x29,0x20,0x20,0x69,0x20,0x6e,0x6f
;       L         И    Л    И         Д    Р    .    )              И         Н    О
;$0de0 4c         mov c,h
;$0de1 20         ???
;$0de2 69         mov l,c
;$0de3 6c         mov l,h
;$0de4 69         mov l,c
;$0de5 20         ???
;$0de6 64         mov h,h
;$0de7 72         mov m,d
;$0de8 2e 29      mvi l,$29
;$0dea 20         ???
;$0deb 20         ???
;$0dec 69         mov l,c
;$0ded 20         ???
;$0dee 6e         mov l,m
;$0def 6f         mov l,a

;------------------------------------------------------
; from 0df0 to 0dff
.byte 0x6d,0x65,0x72,0x61,0x20,0x28,0x74,0x69,0x70,0x61,0x29,0x2c,0x20,0x6e,0x61,0x70
;       М    Е    Р    А         (    Т    И    П    А    )    ,         Н    А    П
;$0df0 6d         mov l,l
;$0df1 65         mov h,l
;$0df2 72         mov m,d
;$0df3 61         mov h,c
;$0df4 20         ???
;$0df5 28         ???
;$0df6 74         mov m,h
;$0df7 69         mov l,c
;$0df8 70         mov m,b
;$0df9 61         mov h,c
;$0dfa 29         dad h
;$0dfb 2c         inr l
;$0dfc 20         ???
;$0dfd 6e         mov l,m
;$0dfe 61         mov h,c
;$0dff 70         mov m,b

;------------------------------------------------------
; from 0e00 to 0e0d
.byte 0x72,0x69,0x6d,0x65,0x72,0x20,0x53,0x4e,0x35,0x34,0x32,0x30,0x2e,0x00
;       Р    И    М    Е    Р         S    N    5    4    2    0    .
;$0e00 72         mov m,d
;$0e01 69         mov l,c
;$0e02 6d         mov l,l
;$0e03 65         mov h,l
;$0e04 72         mov m,d
;$0e05 20         ???
;$0e06 53         mov d,e
;$0e07 4e         mov c,m
;$0e08 35         dcr m
;$0e09 34         inr m
;$0e0a 32 30 2e   sta $2e30
;$0e0d 00         nop
;------------------------------------------------------


;------------------------------------------------------

$0e0e 1b         dcx d
$0e0f 59         mov e,c
$0e10 26 2d      mvi h,$2d
$0e12 70         mov m,b
$0e13 6f         mov l,a
$0e14 69         mov l,c
$0e15 73         mov m,e
$0e16 6b         mov l,e
$0e17 20         ???
$0e18 61         mov h,c
$0e19 6e         mov l,m
$0e1a 61         mov h,c
$0e1b 6c         mov l,h
$0e1c 6f         mov l,a
$0e1d 67         mov h,a
$0e1e 6f         mov l,a
$0e1f 77         mov m,a
$0e20 20         ???
$0e21 7a         mov a,d
$0e22 61         mov h,c
$0e23 72         mov m,d
$0e24 75         mov m,l
$0e25 62         mov h,d
$0e26 65         mov h,l
$0e27 76         hlt
$0e28 6e         mov l,m
$0e29 79         mov a,c
$0e2a 68         mov l,b
$0e2b 20         ???
$0e2c 6d         mov l,l
$0e2d 69         mov l,c
$0e2e 6b         mov l,e
$0e2f 72         mov m,d
$0e30 6f         mov l,a
$0e31 73         mov m,e
$0e32 68         mov l,b
$0e33 65         mov h,l
$0e34 6d         mov l,l
$0e35 1b         dcx d
$0e36 59         mov e,c
$0e37 2b         dcx h
$0e38 32 75 6b   sta $6b75
$0e3b 61         mov h,c
$0e3c 76         hlt
$0e3d 69         mov l,c
$0e3e 74         mov m,h
$0e3f 65         mov h,l
$0e40 20         ???
$0e41 73         mov m,e
$0e42 65         mov h,l
$0e43 72         mov m,d
$0e44 69         mov l,c
$0e45 60         mov h,b
$0e46 20         ???
$0e47 6d         mov l,l
$0e48 69         mov l,c
$0e49 6b         mov l,e
$0e4a 72         mov m,d
$0e4b 6f         mov l,a
$0e4c 73         mov m,e
$0e4d 68         mov l,b
$0e4e 65         mov h,l
$0e4f 6d         mov l,l
$0e50 79         mov a,c
$0e51 1b         dcx d
$0e52 59         mov e,c
$0e53 30         ???
$0e54 25         dcr h
$0e55 31 2e 20   lxi sp,$202e
$0e58 53         mov d,e
$0e59 4e         mov c,m
$0e5a 35         dcr m
$0e5b 34         inr m
$0e5c 2f         cma
$0e5d 53         mov d,e
$0e5e 4e         mov c,m
$0e5f 37         stc
$0e60 34         inr m
$0e61 20         ???
$0e62 1b         dcx d
$0e63 59         mov e,c
$0e64 32 25 32   sta $3225
$0e67 2e 20      mvi l,$20
$0e69 53         mov d,e
$0e6a 4e         mov c,m
$0e6b 35         dcr m
$0e6c 34         inr m
$0e6d 4c         mov c,h
$0e6e 2f         cma
$0e6f 53         mov d,e
$0e70 4e         mov c,m
$0e71 37         stc
$0e72 34         inr m
$0e73 4c         mov c,h
$0e74 20         ???
$0e75 1b         dcx d
$0e76 59         mov e,c
$0e77 34         inr m
$0e78 25         dcr h
$0e79 33         inx sp
$0e7a 2e 20      mvi l,$20
$0e7c 53         mov d,e
$0e7d 4e         mov c,m
$0e7e 35         dcr m
$0e7f 34         inr m
$0e80 53         mov d,e
$0e81 2f         cma
$0e82 53         mov d,e
$0e83 4e         mov c,m
$0e84 37         stc
$0e85 34         inr m
$0e86 53         mov d,e
$0e87 20         ???
$0e88 1b         dcx d
$0e89 59         mov e,c
$0e8a 30         ???
$0e8b 35         dcr m
$0e8c 34         inr m
$0e8d 2e 20      mvi l,$20
$0e8f 53         mov d,e
$0e90 4e         mov c,m
$0e91 35         dcr m
$0e92 34         inr m
$0e93 4c         mov c,h
$0e94 53         mov d,e
$0e95 2f         cma
$0e96 53         mov d,e
$0e97 4e         mov c,m
$0e98 37         stc
$0e99 34         inr m
$0e9a 4c         mov c,h
$0e9b 53         mov d,e
$0e9c 20         ???
$0e9d 1b         dcx d
$0e9e 59         mov e,c
$0e9f 32 35 35   sta $3535
$0ea2 2e 20      mvi l,$20
$0ea4 53         mov d,e
$0ea5 4e         mov c,m
$0ea6 35         dcr m
$0ea7 34         inr m
$0ea8 41         mov b,c
$0ea9 53         mov d,e
$0eaa 20         ???
$0eab 20         ???
$0eac 1b         dcx d
$0ead 59         mov e,c
$0eae 34         inr m
$0eaf 35         dcr m
$0eb0 36 2e      mvi m,$2e
$0eb2 20         ???
$0eb3 53         mov d,e
$0eb4 4e         mov c,m
$0eb5 35         dcr m
$0eb6 34         inr m
$0eb7 41         mov b,c
$0eb8 4c         mov c,h
$0eb9 53         mov d,e
$0eba 2f         cma
$0ebb 37         stc
$0ebc 34         inr m
$0ebd 41         mov b,c
$0ebe 4c         mov c,h
$0ebf 53         mov d,e
$0ec0 20         ???
$0ec1 1b         dcx d
$0ec2 59         mov e,c
$0ec3 30         ???
$0ec4 47         mov b,a
$0ec5 37         stc
$0ec6 2e 20      mvi l,$20
$0ec8 53         mov d,e
$0ec9 4e         mov c,m
$0eca 35         dcr m
$0ecb 34         inr m
$0ecc 46         mov b,m
$0ecd 2f         cma
$0ece 53         mov d,e
$0ecf 4e         mov c,m
$0ed0 37         stc
$0ed1 34         inr m
$0ed2 46         mov b,m
$0ed3 20         ???
$0ed4 1b         dcx d
$0ed5 59         mov e,c
$0ed6 32 47 38   sta $3847
$0ed9 2e 20      mvi l,$20
$0edb 43         mov b,e
$0edc 44         mov b,h
$0edd 34         inr m
$0ede 30         ???
$0edf 20         ???
$0ee0 1b         dcx d
$0ee1 59         mov e,c
$0ee2 34         inr m
$0ee3 47         mov b,a
$0ee4 39         dad sp
$0ee5 2e 20      mvi l,$20
$0ee7 70         mov m,b
$0ee8 72         mov m,d
$0ee9 6f         mov l,a
$0eea 7e         mov a,m
$0eeb 69         mov l,c
$0eec 65         mov h,l
$0eed 20         ???
$0eee 00         nop
;------------------------------------------------------


;------------------------------------------------------
$0eef 1b         dcx d
$0ef0 59         mov e,c
$0ef1 26 2d      mvi h,$2d
$0ef3 70         mov m,b
$0ef4 6f         mov l,a
$0ef5 69         mov l,c
$0ef6 73         mov m,e
$0ef7 6b         mov l,e
$0ef8 20         ???
$0ef9 61         mov h,c
$0efa 6e         mov l,m
$0efb 61         mov h,c
$0efc 6c         mov l,h
$0efd 6f         mov l,a
$0efe 67         mov h,a
$0eff 6f         mov l,a
$0f00 77         mov m,a
$0f01 20         ???
$0f02 7a         mov a,d
$0f03 61         mov h,c
$0f04 72         mov m,d
$0f05 75         mov m,l
$0f06 62         mov h,d
$0f07 65         mov h,l
$0f08 76         hlt
$0f09 6e         mov l,m
$0f0a 79         mov a,c
$0f0b 68         mov l,b
$0f0c 20         ???
$0f0d 6d         mov l,l
$0f0e 69         mov l,c
$0f0f 6b         mov l,e
$0f10 72         mov m,d
$0f11 6f         mov l,a
$0f12 73         mov m,e
$0f13 68         mov l,b
$0f14 65         mov h,l
$0f15 6d         mov l,l
$0f16 1b         dcx d
$0f17 59         mov e,c
$0f18 2b         dcx h
$0f19 32 75 6b   sta $6b75
$0f1c 61         mov h,c
$0f1d 76         hlt
$0f1e 69         mov l,c
$0f1f 74         mov m,h
$0f20 65         mov h,l
$0f21 20         ???
$0f22 20         ???
$0f23 74         mov m,h
$0f24 69         mov l,c
$0f25 70         mov m,b
$0f26 20         ???
$0f27 20         ???
$0f28 6d         mov l,l
$0f29 69         mov l,c
$0f2a 6b         mov l,e
$0f2b 72         mov m,d
$0f2c 6f         mov l,a
$0f2d 73         mov m,e
$0f2e 68         mov l,b
$0f2f 65         mov h,l
$0f30 6d         mov l,l
$0f31 79         mov a,c
$0f32 1b         dcx d
$0f33 59         mov e,c
$0f34 30         ???
$0f35 27         daa
$0f36 7a         mov a,d
$0f37 61         mov h,c
$0f38 72         mov m,d
$0f39 75         mov m,l
$0f3a 62         mov h,d
$0f3b 65         mov h,l
$0f3c 76         hlt
$0f3d 6e         mov l,m
$0f3e 61         mov h,c
$0f3f 71         mov m,c
$0f40 20         ???
$0f41 69         mov l,c
$0f42 6d         mov l,l
$0f43 73         mov m,e
$0f44 1b         dcx d
$0f45 59         mov e,c
$0f46 30         ???
$0f47 4d         mov c,l
$0f48 61         mov h,c
$0f49 6e         mov l,m
$0f4a 61         mov h,c
$0f4b 6c         mov l,h
$0f4c 6f         mov l,a
$0f4d 67         mov h,a
$0f4e 00         nop
;------------------------------------------------------



$0f4f 34         inr m
$0f50 21 4f 0f   lxi h,$0f4f
$0f53 3e 39      mvi a,$39
$0f55 be         cmp m
$0f56 ca 8b 0f   jz $0f8b
$0f59 0e 30      mvi c,$30
$0f5b e5         push h
$0f5c 21 51 0e   lxi h,$0e51
$0f5f 3e 05      mvi a,$05
$0f61 85         add l
$0f62 6f         mov l,a
$0f63 7e         mov a,m
$0f64 fe 2e      cpi $2e
$0f66 23         inx h
$0f67 ca 6d 0f   jz $0f6d
$0f6a c3 63 0f   jmp $0f63
$0f6d 0c         inr c
$0f6e e3         xthl
$0f6f 7e         mov a,m
$0f70 b9         cmp c
$0f71 e3         xthl
$0f72 c2 63 0f   jnz $0f63
$0f75 e5         push h
                  lxi h,$0f91       ; $0f76 21 91 0f  ; текстовые данные определены
                  call MsgToScr     ; $0f79 cd 18 f8
$0f7c e1         pop h
$0f7d 23         inx h
$0f7e 3e 1b      mvi a,$1b
$0f80 be         cmp m
$0f81 ca 8b 0f   jz $0f8b
$0f84 4e         mov c,m
               call SymbToScr        ; $0f85 cd 09 f8
$0f88 c3 7d 0f   jmp $0f7d
$0f8b cd 98 0f   call $0f98
$0f8e c3 c8 0f   jmp $0fc8

;------------------------------------------------------
;
;------------------------------------------------------
.byte 0x1b,0x59,0x34,0x24,0x00
;     АР2         4    $
;$0f91 1b         dcx d
;$0f92 59         mov e,c
;$0f93 34         inr m
;$0f94 24         inr h
;$0f95 00         nop
;------------------------------------------------------


$0f96 4f         mov c,a
$0f97 12         stax d
$0f98 21 7c 0c   lxi h,$0c7c
$0f9b 22 fc 04   shld $04fc
                 lxi h,$0fb7       ; $0f9e 21 b7 0f  ; текстовые данные определены
                 push h         ; $0fa1 e5
                 call MsgToScr     ; $0fa2 cd 18 f8
                 call pp8        ; $0fa5 cd bd 04
                 pop h       ; $0fa8 e1
                 call MsgToScr     ; $0fa9 cd 18 f8
$0fac 16 06      mvi d,$06
$0fae 21 bc 0f   lxi h,$0fbc
                 call pp9        ; $0fb1 cd b1 04
                 jmp m012      ; $0fb4 c3 8c 04

;--------------------------------------
;
;--------------------------------------
.byte 0x1b,0x59,0x34,0x32,0x00
;      АР2        4    2
;$0fb7 1b         dcx d
;$0fb8 59         mov e,c
;$0fb9 34         inr m
;$0fba 32 00
;--------------------------------------

$0fbc 31   sta $3100
$0fbd 32 31 00   sta $0031
$0fc0 00         nop
$0fc1 00         nop
$0fc2 00         nop
$0fc3 12         stax d
$0fc4 4f         mov c,a
$0fc5 12         stax d
$0fc6 4f         mov c,a
$0fc7 12         stax d
$0fc8 21 4f 0f   lxi h,$0f4f
$0fcb 0e 30      mvi c,$30
$0fcd e5         push h
$0fce 21 fe 0f   lxi h,$0ffe
$0fd1 7e         mov a,m
$0fd2 fe 2e      cpi $2e
$0fd4 23         inx h
$0fd5 ca db 0f   jz $0fdb
$0fd8 c3 d1 0f   jmp $0fd1
$0fdb 0c         inr c
$0fdc e3         xthl
$0fdd 7e         mov a,m
$0fde b9         cmp c
$0fdf e3         xthl
$0fe0 c2 d1 0f   jnz $0fd1
$0fe3 e5         push h
                  lxi h,$0ff9       ; $0fe4 21 f9 0f  ; текстовые данные определены
                  call MsgToScr     ; $0fe7 cd 18 f8
$0fea e1         pop h
$0feb 23         inx h
$0fec 3e 1b      mvi a,$1b
$0fee be         cmp m
$0fef ca 60 10   jz $1060
$0ff2 4e         mov c,m
               call SymbToScr        ; $0ff3 cd 09 f8
$0ff6 c3 eb 0f   jmp $0feb

;------------------------------------------------------
;
;------------------------------------------------------
.byte 0x1b,0x59,0x34,0x49,0x00
;     АР2         4    I
;$0ff9 1b         dcx d
;$0ffa 59         mov e,c
;$0ffb 34         inr m
;$0ffc 49         mov c,c
;$0ffd 00         nop
;------------------------------------------------------


$0ffe 2e 20      mvi l,$20
$1000 31 33 33   lxi sp,$3333
$1003 2f         cma
$1004 6b         mov l,e
$1005 31 35 35   lxi sp,$3535
$1008 20         ???
$1009 1b         dcx d
$100a 2e 20      mvi l,$20
$100c 31 33 34   lxi sp,$3433
$100f 2f         cma
$1010 6b         mov l,e
$1011 72         mov m,d
$1012 31 33 34   lxi sp,$3433
$1015 20         ???
$1016 1b         dcx d
$1017 2e 20      mvi l,$20
$1019 35         dcr m
$101a 33         inx sp
$101b 30         ???
$101c 2f         cma
$101d 6b         mov l,e
$101e 72         mov m,d
$101f 35         dcr m
$1020 33         inx sp
$1021 31 20 1b   lxi sp,$1b20
$1024 2e 20      mvi l,$20
$1026 35         dcr m
$1027 33         inx sp
$1028 33         inx sp
$1029 2f         cma
$102a 6b         mov l,e
$102b 35         dcr m
$102c 35         dcr m
$102d 35         dcr m
$102e 20         ???
$102f 1b         dcx d
$1030 2e 20      mvi l,$20
$1032 31 35 33   lxi sp,$3335
$1035 30         ???
$1036 20         ???
$1037 1b         dcx d
$1038 2e 20      mvi l,$20
$103a 31 35 33   lxi sp,$3335
$103d 33         inx sp
$103e 2f         cma
$103f 6b         mov l,e
$1040 72         mov m,d
$1041 31 35 33   lxi sp,$3335
$1044 33         inx sp
$1045 20         ???
$1046 1b         dcx d
$1047 2e 20      mvi l,$20
$1049 31 35 33   lxi sp,$3335
$104c 31 2f 6b   lxi sp,$6b2f
$104f 72         mov m,d
$1050 31 35 33   lxi sp,$3335
$1053 31 20 1b   lxi sp,$1b20
$1056 2e 20      mvi l,$20
$1058 35         dcr m
$1059 36 34      mvi m,$34
$105b 20         ???
$105c 1b         dcx d
$105d 12         stax d
$105e 4f         mov c,a
$105f 12         stax d
$1060 21 02 20   lxi h,$2002
$1063 01 ff 6f   lxi b,$6fff
$1066 11 bc 0f   lxi d,$0fbc
$1069 1a         ldax d
$106a be         cmp m
$106b c2 73 10   jnz $1073
$106e 13         inx d
$106f 23         inx h
$1070 c3 69 10   jmp $1069
$1073 fe 00      cpi $00
$1075 c2 85 10   jnz $1085
$1078 23         inx h
$1079 3e 60      mvi a,$60
$107b be         cmp m
$107c d2 78 10   jnc $1078
$107f cd 18 f8   call MsgToScr
$1082 c3 9d 10   jmp $109d
$1085 23         inx h
$1086 7e         mov a,m
$1087 fe 00      cpi $00
$1089 c2 85 10   jnz $1085
$108c 7c         mov a,h
$108d b8         cmp b
$108e da 93 10   jc $1093
$1091 7d         mov a,l
$1092 b9         cmp c
$1093 23         inx h
$1094 da 66 10   jc $1066
                  lxi h,$10be       ; $1097 21 be 10  ; текстовые данные определены
                  call MsgToScr     ; $109a cd 18 f8
                  call pp19         ; $109d cd 35 07
                  call KeyInput     ; $10a0 cd 1b f8
$10a3 fe ff      cpi $ff
$10a5 ca a0 10   jz $10a0
                  lxi h,$10d0       ; $10a8 21 d0 10  ; текстовые данные определены
                  call MsgToScr     ; $10ab cd 18 f8
                  call KeyInput     ; $10ae cd 1b f8
$10b1 fe 6e      cpi $6e
                  jz m016    ; $10b3 ca 7c 0c
$10b6 fe 64      cpi $64
   jz m003     ; $10b8 ca d0 01
$10bb c3 ae 10   jmp $10ae

;------------------------------------------------------
;
;------------------------------------------------------
.byte 0x1b,0x59,0x34,0x49,0x6e,0x65,0x74,0x20,0x20,0x20,0x64,0x61,0x6e,0x6e,0x79,0x68,0x20,0x00
;     АР2         4    I    Н    Е    Т                   Д    А    Н    Н    Ы    Х
;$10be 1b         dcx d
;$10bf 59         mov e,c
;$10c0 34         inr m
;$10c1 49         mov c,c
;$10c2 6e         mov l,m
;$10c3 65         mov h,l
;$10c4 74         mov m,h
;$10c5 20         ???
;$10c6 20         ???
;$10c7 20         ???
;$10c8 64         mov h,h
;$10c9 61         mov h,c
;$10ca 6e         mov l,m
;$10cb 6e         mov l,m
;$10cc 79         mov a,c
;$10cd 68         mov l,b
;$10ce 20         ???
;$10cf 00         nop
;------------------------------------------------------


;------------------------------------------------------
;
;------------------------------------------------------
.byte 0x1b,0x59,0x2b,0x32,0x77,0x79,0x6a,0x74,0x69,0x20,0x77,0x20,0x67,0x6c,0x61,0x77
;     АР2         +    2    В    Ы    Й    Т    И         В         Г    Л    А    В
;$10d0 1b         dcx d
;$10d1 59         mov e,c
;$10d2 2b         dcx h
;$10d3 32 77 79   sta $7977
;$10d6 6a         mov l,d
;$10d7 74         mov m,h
;$10d8 69         mov l,c
;$10d9 20         ???
;$10da 77         mov m,a
;$10db 20         ???
;$10dc 67         mov h,a
;$10dd 6c         mov l,h
;$10de 61         mov h,c
;$10df 77         mov m,a

.byte 0x6e,0x6f,0x65,0x20,0x6d,0x65,0x6e,0x60,0x3a,0x64,0x2f,0x6e,0x00
;       Н    О    Е         М    Е    Н    Ю    :    Д    /    Н
;$10e0 6e         mov l,m
;$10e1 6f         mov l,a
;$10e2 65         mov h,l
;$10e3 20         ???
;$10e4 6d         mov l,l
;$10e5 65         mov h,l
;$10e6 6e         mov l,m
;$10e7 60         mov h,b
;$10e8 3a 64 2f   lda $2f64
;$10eb 6e         mov l,m
;$10ec 00         nop
;------------------------------------------------------


$10ed 20         ???
$10ee 20         ???
$10ef 20         ???
   m018:          call $0c82        ; $10f0 cd 82 0c
                  lxi h,$110e       ; $10f3 21 0e 11  ; текстовые данные определены
                  call MsgToScr     ; $10f6 cd 18 f8
                  call KeyInput     ; $10f9 cd 1b f8
$10fc fe 31      cpi $31
$10fe ca 94 11   jz $1194
$1101 fe 32      cpi $32
$1103 ca 38 14   jz $1438
$1106 fe 1b      cpi $1b
       jz m003     ; $1108 ca d0 01
$110b c3 f9 10   jmp $10f9

;------------------------------------------------------
;
;------------------------------------------------------
.byte 0x1b,0x59,0x26,0x2d,0x20,0x20,0x20,0x20,0x70,0x6f,0x64,0x67,0x6f,0x74,0x6f,0x77,0x6b,0x61
;     АР2         &    -                        П    О    Д    Г    О    Т    О    В    К    А
;$110e 1b         dcx d
;$110f 59         mov e,c
;$1110 26 2d      mvi h,$2d
;$1112 20         ???
;$1113 20         ???
;$1114 20         ???
;$1115 20         ???
;$1116 70         mov m,b
;$1117 6f         mov l,a
;$1118 64         mov h,h
;$1119 67         mov h,a
;$111a 6f         mov l,a
;$111b 74         mov m,h
;$111c 6f         mov l,a
;$111d 77         mov m,a
;$111e 6b         mov l,e
;$111f 61         mov h,c

.byte 0x20,0x70,0x72,0x69,0x62,0x6f,0x72,0x61,0x20,0x6b,0x20,0x72,0x61,0x62,0x6f,0x74
;            П    Р    И    Б    О    Р    А         К         Р    А    Б    О    Т
;$1120 20         ???
;$1121 70         mov m,b
;$1122 72         mov m,d
;$1123 69         mov l,c
;$1124 62         mov h,d
;$1125 6f         mov l,a
;$1126 72         mov m,d
;$1127 61         mov h,c
;$1128 20         ???
;$1129 6b         mov l,e
;$112a 20         ???
;$112b 72         mov m,d
;$112c 61         mov h,c
;$112d 62         mov h,d
;$112e 6f         mov l,a
;$112f 74         mov m,h

.byte 0x65,0x20,0x20,0x20,0x20,0x1b,0x59,0x2b,0x32,0x20,0x77,0x79,0x62,0x6f,0x72,0x20
;       Е                       АР2        +    2         В    Ы    Б    О    Р
;$1130 65         mov h,l
;$1131 20         ???
;$1132 20         ???
;$1133 20         ???
;$1134 20         ???
;$1135 1b         dcx d
;$1136 59         mov e,c
;$1137 2b         dcx h
;$1138 32 20 77   sta $7720
;$113b 79         mov a,c
;$113c 62         mov h,d
;$113d 6f         mov l,a
;$113e 72         mov m,d
;$113f 20         ???

.byte 0x72,0x65,0x76,0x69,0x6d,0x61,0x20,0x7a,0x61,0x67,0x72,0x75,0x7a,0x6b,0x69,0x3a
;       Р    Е    Ж    И    М    А         З    А    Г    Р    У    З    К    И    :
;$1140 72         mov m,d
;$1141 65         mov h,l
;$1142 76         hlt
;$1143 69         mov l,c
;$1144 6d         mov l,l
;$1145 61         mov h,c
;$1146 20         ???
;$1147 7a         mov a,d
;$1148 61         mov h,c
;$1149 67         mov h,a
;$114a 72         mov m,d
;$114b 75         mov m,l
;$114c 7a         mov a,d
;$114d 6b         mov l,e
;$114e 69         mov l,c
;$114f 3a

.byte 0x20,0x1b,0x59,0x30,0x25,0x20,0x7a,0x61,0x67,0x72,0x75,0x7a,0x6b,0x61,0x20,0x70
;           АР2        0    %         З    А    Г    Р    У    З    К    А         П
;$1150 20
;$1151 1b
;$1152 59         mov e,c
;$1153 30         ???
;$1154 25         dcr h
;$1155 20         ???
;$1156 7a         mov a,d
;$1157 61         mov h,c
;$1158 67         mov h,a
;$1159 72         mov m,d
;$115a 75         mov m,l
;$115b 7a         mov a,d
;$115c 6b         mov l,e
;$115d 61         mov h,c
;$115e 20         ???
;$115f 70         mov m,b

.byte 0x72,0x6f,0x69,0x7a,0x77,0x6f,0x64,0x69,0x74,0x73,0x71,0x3a,0x1b,0x59,0x32,0x35
;       Р    О    И    З    В    О    Д    И    Т    С    Я    :   АР2        2    5
;$1160 72         mov m,d
;$1161 6f         mov l,a
;$1162 69         mov l,c
;$1163 7a         mov a,d
;$1164 77         mov m,a
;$1165 6f         mov l,a
;$1166 64         mov h,h
;$1167 69         mov l,c
;$1168 74         mov m,h
;$1169 73         mov m,e
;$116a 71         mov m,c
;$116b 3a 1b 59   lda $591b
;$116e 32 35

.byte 0x31,0x2e,0x20,0x73,0x20,0x6d,0x61,0x67,0x6e,0x69,0x74,0x6f,0x66,0x6f,0x6e,0x61
;       1    .         С         М    А    Г    Н    И    Т    О    Ф    О    Н    А
;$1170 31   sta $3135
;$1171 2e 20      mvi l,$20
;$1173 73         mov m,e
;$1174 20         ???
;$1175 6d         mov l,l
;$1176 61         mov h,c
;$1177 67         mov h,a
;$1178 6e         mov l,m
;$1179 69         mov l,c
;$117a 74         mov m,h
;$117b 6f         mov l,a
;$117c 66         mov h,m
;$117d 6f         mov l,a
;$117e 6e         mov l,m
;$117f 61         mov h,c

.byte 0x1b,0x59,0x34,0x35,0x32,0x2e,0x20,0x73,0x20,0x52,0x4f,0x4d,0x2d,0x64,0x69,0x73
;      АР2        4    5    2    .         С         R    O    M    -    Д    И    С
;$1180 1b         dcx d
;$1181 59         mov e,c
;$1182 34         inr m
;$1183 35         dcr m
;$1184 32 2e 20   sta $202e
;$1187 73         mov m,e
;$1188 20         ???
;$1189 52         mov d,d
;$118a 4f         mov c,a
;$118b 4d         mov c,l
;$118c 2d         dcr l
;$118d 64         mov h,h
;$118e 69         mov l,c
;$118f 73         mov m,e

.byte 0x6b,0x61,0x20,0x00
;       К    А
;$1190 6b         mov l,e
;$1191 61         mov h,c
;$1192 20         ???
;$1193 00         nop
;------------------------------------------------------



                  lxi h,$11b9       ; $1194 21 b9 11  ; текстовые данные определены
                  call MsgToScr     ; $1197 cd 18 f8
                  call KeyInput     ; $119a cd 1b f8
$119d fe ff      cpi $ff
$119f ca 9a 11   jz $119a
                  lxi h,$1345       ; $11a2 21 45 13  ; текстовые данные определены
                  call MsgToScr     ; $11a5 cd 18 f8
                  call KeyInput     ; $11a8 cd 1b f8
$11ab fe ff      cpi $ff
$11ad ca a8 11   jz $11a8
                  lxi h,$1367       ; $11b0 21 67 13  ; текстовыем данные определены
                  call MsgToScr     ; $11b3 cd 18 f8
$11b6 c3 af 13   jmp $13af

;------------------------------------------------------
;
;------------------------------------------------------
.byte 0x1b,0x59,0x2b,0x2e,0x20,0x70,0x6f
;      АР2        +    .         П    О
;$11b9 1b         dcx d
;$11ba 59         mov e,c
;$11bb 2b         dcx h
;$11bc 2e 20      mvi l,$20
;$11be 70         mov m,b
;$11bf 6f         mov l,a

.byte 0x64,0x67,0x6f,0x74,0x6f,0x77,0x74,0x65,0x20,0x66,0x61,0x6a,0x6c,0x20,0x6b,0x20
;       Д    Г    О    Т    О    В    Т    Е         Ф    А    Й    Л         К
;$11c0 64         mov h,h
;$11c1 67         mov h,a
;$11c2 6f         mov l,a
;$11c3 74         mov m,h
;$11c4 6f         mov l,a
;$11c5 77         mov m,a
;$11c6 74         mov m,h
;$11c7 65         mov h,l
;$11c8 20         ???
;$11c9 66         mov h,m
;$11ca 61         mov h,c
;$11cb 6a         mov l,d
;$11cc 6c         mov l,h
;$11cd 20         ???
;$11ce 6b         mov l,e
;$11cf 20         ???

.byte 0x7a,0x61,0x67,0x72,0x75,0x7a,0x6b,0x65,0x3a,0x20,0x1b,0x59,0x2f,0x25,0x31,0x2e
;       З    А    Г    Р    У    З    К    Е    :        АР2        /    %    1    .
;$11d0 7a         mov a,d
;$11d1 61         mov h,c
;$11d2 67         mov h,a
;$11d3 72         mov m,d
;$11d4 75         mov m,l
;$11d5 7a         mov a,d
;$11d6 6b         mov l,e
;$11d7 65         mov h,l
;$11d8 3a 20 1b   lda $1b20
;$11db 59         mov e,c
;$11dc 2f         cma
;$11dd 25         dcr h
;$11de 31 2e

.byte 0x70,0x72,0x6f,0x77,0x65,0x72,0x6b,0x61,0x20,0x69,0x6d,0x73,0x20,0x74,0x74,0x6c
;       П    Р    О    В    Е    Р    К    А         И    М    С         Т    Т    Л
;$11e0 70   lxi sp,$702e
;$11e1 72         mov m,d
;$11e2 6f         mov l,a
;$11e3 77         mov m,a
;$11e4 65         mov h,l
;$11e5 72         mov m,d
;$11e6 6b         mov l,e
;$11e7 61         mov h,c
;$11e8 20         ???
;$11e9 69         mov l,c
;$11ea 6d         mov l,l
;$11eb 73         mov m,e
;$11ec 20         ???
;$11ed 74         mov m,h
;$11ee 74         mov m,h
;$11ef 6c         mov l,h

.byte 0x20,0x77,0x20,0x6b,0x6f,0x72,0x70,0x75,0x73,0x61,0x68,0x20,0x44,0x49,0x50,0x2d
;            В         К    О    Р    П    У    С    А    Х         D    I    P    -
;$11f0 20         ???
;$11f1 77         mov m,a
;$11f2 20         ???
;$11f3 6b         mov l,e
;$11f4 6f         mov l,a
;$11f5 72         mov m,d
;$11f6 70         mov m,b
;$11f7 75         mov m,l
;$11f8 73         mov m,e
;$11f9 61         mov h,c
;$11fa 68         mov l,b
;$11fb 20         ???
;$11fc 44         mov b,h
;$11fd 49         mov c,c
;$11fe 50         mov d,b
;$11ff 2d         dcr l

.byte 0x31,0x34,0x1b,0x59,0x30,0x25,0x32,0x2e,0x70,0x72,0x6f,0x77,0x65,0x72,0x6b,0x61
;       1    4   АР2        0    %    2    .    П    Р    О    В    Е    Р    К    А
;$1200 31 34 1b   lxi sp,$1b34
;$1203 59         mov e,c
;$1204 30         ???
;$1205 25         dcr h
;$1206 32 2e 70   sta $702e
;$1209 72         mov m,d
;$120a 6f         mov l,a
;$120b 77         mov m,a
;$120c 65         mov h,l
;$120d 72         mov m,d
;$120e 6b         mov l,e
;$120f 61         mov h,c

.byte 0x20,0x69,0x6d,0x73,0x20,0x74,0x74,0x6c,0x20,0x77,0x20,0x6b,0x6f,0x72,0x70,0x75
;            И    М    С         Т    Т    Л         В         К    О    Р    П    У
;$1210 20         ???
;$1211 69         mov l,c
;$1212 6d         mov l,l
;$1213 73         mov m,e
;$1214 20         ???
;$1215 74         mov m,h
;$1216 74         mov m,h
;$1217 6c         mov l,h
;$1218 20         ???
;$1219 77         mov m,a
;$121a 20         ???
;$121b 6b         mov l,e
;$121c 6f         mov l,a
;$121d 72         mov m,d
;$121e 70         mov m,b
;$121f 75         mov m,l

.byte 0x73,0x61,0x68,0x20,0x44,0x49,0x50,0x2d,0x31,0x36,0x1b,0x59,0x31,0x25,0x33,0x2e
;       С    А    Х         D    I    P    -    1    6   АР2        1    %    3    .
;$1220 73         mov m,e
;$1221 61         mov h,c
;$1222 68         mov l,b
;$1223 20         ???
;$1224 44         mov b,h
;$1225 49         mov c,c
;$1226 50         mov d,b
;$1227 2d         dcr l
;$1228 31 36 1b   lxi sp,$1b36
;$122b 59         mov e,c
;$122c 31 25 33   lxi sp,$3325
;$122f 2e

.byte 0x70,0x72,0x6f,0x77,0x65,0x72,0x6b,0x61,0x20,0x69,0x6d,0x73,0x20,0x74,0x74,0x6c
;       П    Р    О    В    Е    Р    К    А         И    М    С         Т    Т    Л
;$1230 70      mvi l,$70
;$1231 72         mov m,d
;$1232 6f         mov l,a
;$1233 77         mov m,a
;$1234 65         mov h,l
;$1235 72         mov m,d
;$1236 6b         mov l,e
;$1237 61         mov h,c
;$1238 20         ???
;$1239 69         mov l,c
;$123a 6d         mov l,l
;$123b 73         mov m,e
;$123c 20         ???
;$123d 74         mov m,h
;$123e 74         mov m,h
;$123f 6c         mov l,h

.byte 0x20,0x77,0x20,0x6b,0x6f,0x72,0x70,0x75,0x73,0x61,0x68,0x20,0x44,0x49,0x50,0x2d
;            В         К    О    Р    П    У    С    А    Х         D    I    P    -
;$1240 20         ???
;$1241 77         mov m,a
;$1242 20         ???
;$1243 6b         mov l,e
;$1244 6f         mov l,a
;$1245 72         mov m,d
;$1246 70         mov m,b
;$1247 75         mov m,l
;$1248 73         mov m,e
;$1249 61         mov h,c
;$124a 68         mov l,b
;$124b 20         ???
;$124c 44         mov b,h
;$124d 49         mov c,c
;$124e 50         mov d,b
;$124f 2d         dcr l

.byte 0x32,0x30,0x1b,0x59,0x32,0x25,0x34,0x2e,0x70,0x72,0x6f,0x77,0x65,0x72,0x6b,0x61
;       2    0   АР2        2    %    4    .    П    Р    О    В    Е    Р    К    А
;$1250 32 30 1b   sta $1b30
;$1253 59         mov e,c
;$1254 32 25 34   sta $3425
;$1257 2e 70      mvi l,$70
;$1259 72         mov m,d
;$125a 6f         mov l,a
;$125b 77         mov m,a
;$125c 65         mov h,l
;$125d 72         mov m,d
;$125e 6b         mov l,e
;$125f 61         mov h,c

.byte 0x20,0x69,0x6d,0x73,0x20,0x74,0x74,0x6c,0x20,0x77,0x20,0x6b,0x6f,0x72,0x70,0x75
;            И    М    С         Т    Т    Л         В         К    О    Р    П    У
;$1260 20         ???
;$1261 69         mov l,c
;$1262 6d         mov l,l
;$1263 73         mov m,e
;$1264 20         ???
;$1265 74         mov m,h
;$1266 74         mov m,h
;$1267 6c         mov l,h
;$1268 20         ???
;$1269 77         mov m,a
;$126a 20         ???
;$126b 6b         mov l,e
;$126c 6f         mov l,a
;$126d 72         mov m,d
;$126e 70         mov m,b
;$126f 75         mov m,l

.byte 0x73,0x61,0x68,0x20,0x44,0x49,0x50,0x2d,0x32,0x34,0x1b,0x59,0x33,0x25,0x35,0x2e
;       С    А    Х         D    I    P    -    2    4   АР2        3    %    5    .
;$1270 73         mov m,e
;$1271 61         mov h,c
;$1272 68         mov l,b
;$1273 20         ???
;$1274 44         mov b,h
;$1275 49         mov c,c
;$1276 50         mov d,b
;$1277 2d         dcr l
;$1278 32 34 1b   sta $1b34
;$127b 59         mov e,c
;$127c 33         inx sp
;$127d 25         dcr h
;$127e 35         dcr m
;$127f 2e

.byte 0x70,0x72,0x6f,0x77,0x65,0x72,0x6b,0x61,0x20,0x69,0x6d,0x73,0x20,0x6d,0x6f,0x70
;       П    Р    О    В    Е    Р    К    А         И    М    С         М    О    П
;$1280 70      mvi l,$70
;$1281 72         mov m,d
;$1282 6f         mov l,a
;$1283 77         mov m,a
;$1284 65         mov h,l
;$1285 72         mov m,d
;$1286 6b         mov l,e
;$1287 61         mov h,c
;$1288 20         ???
;$1289 69         mov l,c
;$128a 6d         mov l,l
;$128b 73         mov m,e
;$128c 20         ???
;$128d 6d         mov l,l
;$128e 6f         mov l,a
;$128f 70         mov m,b

.byte 0x20,0x77,0x20,0x6b,0x6f,0x72,0x70,0x75,0x73,0x61,0x68,0x20,0x44,0x49,0x50,0x2d
;            В         К    О    Р    П    У    С    А    Х         D    I    P    -
;$1290 20         ???
;$1291 77         mov m,a
;$1292 20         ???
;$1293 6b         mov l,e
;$1294 6f         mov l,a
;$1295 72         mov m,d
;$1296 70         mov m,b
;$1297 75         mov m,l
;$1298 73         mov m,e
;$1299 61         mov h,c
;$129a 68         mov l,b
;$129b 20         ???
;$129c 44         mov b,h
;$129d 49         mov c,c
;$129e 50         mov d,b
;$129f 2d         dcr l

.byte 0x31,0x34,0x1b,0x59,0x34,0x25,0x36,0x2e,0x70,0x72,0x6f,0x77,0x65,0x72,0x6b,0x61
;       1    4   АР2        4    %    6    .    П    Р    О    В    Е    Р    К    А
;$12a0 31 34 1b   lxi sp,$1b34
;$12a3 59         mov e,c
;$12a4 34         inr m
;$12a5 25         dcr h
;$12a6 36 2e      mvi m,$2e
;$12a8 70         mov m,b
;$12a9 72         mov m,d
;$12aa 6f         mov l,a
;$12ab 77         mov m,a
;$12ac 65         mov h,l
;$12ad 72         mov m,d
;$12ae 6b         mov l,e
;$12af 61         mov h,c

.byte 0x20,0x69,0x6d,0x73,0x20,0x6d,0x6f,0x70,0x20,0x77,0x20,0x6b,0x6f,0x72,0x70,0x75
;            И    М    С         М    О    П         В         К    О    Р    П    У
;$12b0 20         ???
;$12b1 69         mov l,c
;$12b2 6d         mov l,l
;$12b3 73         mov m,e
;$12b4 20         ???
;$12b5 6d         mov l,l
;$12b6 6f         mov l,a
;$12b7 70         mov m,b
;$12b8 20         ???
;$12b9 77         mov m,a
;$12ba 20         ???
;$12bb 6b         mov l,e
;$12bc 6f         mov l,a
;$12bd 72         mov m,d
;$12be 70         mov m,b
;$12bf 75         mov m,l

.byte 0x73,0x61,0x68,0x20,0x44,0x49,0x50,0x2d,0x31,0x36,0x1b,0x59,0x35,0x25,0x37,0x2e
;       С    А    Х         D    I    P    -    1    6   АР2        5    %    7    .
;$12c0 73         mov m,e
;$12c1 61         mov h,c
;$12c2 68         mov l,b
;$12c3 20         ???
;$12c4 44         mov b,h
;$12c5 49         mov c,c
;$12c6 50         mov d,b
;$12c7 2d         dcr l
;$12c8 31 36 1b   lxi sp,$1b36
;$12cb 59         mov e,c
;$12cc 35         dcr m
;$12cd 25         dcr h
;$12ce 37         stc
;$12cf 2e

.byte 0x70,0x72,0x6f,0x77,0x65,0x72,0x6b,0x61,0x20,0x69,0x6d,0x72,0x20,0x6d,0x6f,0x70
;       П    Р    О    В    Е    Р    К    А         И    М    С         М    О    П
;$12d0 70      mvi l,$70
;$12d1 72         mov m,d
;$12d2 6f         mov l,a
;$12d3 77         mov m,a
;$12d4 65         mov h,l
;$12d5 72         mov m,d
;$12d6 6b         mov l,e
;$12d7 61         mov h,c
;$12d8 20         ???
;$12d9 69         mov l,c
;$12da 6d         mov l,l
;$12db 73         mov m,e
;$12dc 20         ???
;$12dd 6d         mov l,l
;$12de 6f         mov l,a
;$12df 70         mov m,b

.byte 0x20,0x77,0x20,0x6b,0x6f,0x72,0x70,0x75,0x73,0x61,0x68,0x20,0x44,0x49,0x50,0x2d
;            В         К    О    Р    П    У    С    А    Х         D    I    P    -
;$12e0 20         ???
;$12e1 77         mov m,a
;$12e2 20         ???
;$12e3 6b         mov l,e
;$12e4 6f         mov l,a
;$12e5 72         mov m,d
;$12e6 70         mov m,b
;$12e7 75         mov m,l
;$12e8 73         mov m,e
;$12e9 61         mov h,c
;$12ea 68         mov l,b
;$12eb 20         ???
;$12ec 44         mov b,h
;$12ed 49         mov c,c
;$12ee 50         mov d,b
;$12ef 2d         dcr l

.byte 0x32,0x34,0x1b,0x59,0x36,0x25,0x38,0x2e,0x61,0x6e,0x61,0x6c,0x6f,0x67,0x69,0x20
;       2    4   АР2        6    %    8    .    А    Н    А    Л    О    Г    И
;$12f0 32 34 1b   sta $1b34
;$12f3 59         mov e,c
;$12f4 36 25      mvi m,$25
;$12f6 38         ???
;$12f7 2e 61      mvi l,$61
;$12f9 6e         mov l,m
;$12fa 61         mov h,c
;$12fb 6c         mov l,h
;$12fc 6f         mov l,a
;$12fd 67         mov h,a
;$12fe 69         mov l,c
;$12ff 20         ???

.byte 0x74,0x74,0x6c,0x20,0x6d,0x69,0x6b,0x72,0x6f,0x73,0x68,0x65,0x6d,0x1b,0x59,0x37
;       Т    Т    Л         М    И    К    Р    О    С    Х    Е    М   АР2        7
;$1300 74         mov m,h
;$1301 74         mov m,h
;$1302 6c         mov l,h
;$1303 20         ???
;$1304 6d         mov l,l
;$1305 69         mov l,c
;$1306 6b         mov l,e
;$1307 72         mov m,d
;$1308 6f         mov l,a
;$1309 73         mov m,e
;$130a 68         mov l,b
;$130b 65         mov h,l
;$130c 6d         mov l,l
;$130d 1b         dcx d
;$130e 59         mov e,c
;$130f 37         stc

.byte 0x25,0x39,0x2e,0x61,0x6e,0x61,0x6c,0x6f,0x67,0x69,0x20,0x6d,0x6f,0x70,0x20,0x6d
;       %    9    .    А    Н    А    Л    О    Г    И         М    О    П         М
;$1310 25         dcr h
;$1311 39         dad sp
;$1312 2e 61      mvi l,$61
;$1314 6e         mov l,m
;$1315 61         mov h,c
;$1316 6c         mov l,h
;$1317 6f         mov l,a
;$1318 67         mov h,a
;$1319 69         mov l,c
;$131a 20         ???
;$131b 6d         mov l,l
;$131c 6f         mov l,a
;$131d 70         mov m,b
;$131e 20         ???
;$131f 6d         mov l,l

.byte 0x69,0x6b,0x72,0x6f,0x73,0x68,0x65,0x6d,0x1b,0x59,0x38,0x25,0x30,0x2e,0x64,0x65
;       И    К    Р    О    С    Х    Е    М   АР2        8    %    0    .    Д    Е
;$1320 69         mov l,c
;$1321 6b         mov l,e
;$1322 72         mov m,d
;$1323 6f         mov l,a
;$1324 73         mov m,e
;$1325 68         mov l,b
;$1326 65         mov h,l
;$1327 6d         mov l,l
;$1328 1b         dcx d
;$1329 59         mov e,c
;$132a 38         ???
;$132b 25         dcr h
;$132c 30         ???
;$132d 2e 64      mvi l,$64
;$132f 65         mov h,l

.byte 0x6d,0x6f,0x6e,0x73,0x74,0x72,0x61,0x63,0x69,0x6f,0x6e,0x6e,0x79,0x6a,0x20,0x72
;       М    О    Н    С    Т    Р    А    Ц    И    О    Н    Н    Ы    Й         Р
;$1330 6d         mov l,l
;$1331 6f         mov l,a
;$1332 6e         mov l,m
;$1333 73         mov m,e
;$1334 74         mov m,h
;$1335 72         mov m,d
;$1336 61         mov h,c
;$1337 63         mov h,e
;$1338 69         mov l,c
;$1339 6f         mov l,a
;$133a 6e         mov l,m
;$133b 6e         mov l,m
;$133c 79         mov a,c
;$133d 6a         mov l,d
;$133e 20         ???
;$133f 72         mov m,d

.byte 0x65,0x76,0x69,0x6d,0x00
;       Е    Ж    И    М
;$1340 65         mov h,l
;$1341 76         hlt
;$1342 69         mov l,c
;$1343 6d         mov l,l
;$1344 00         nop
;------------------------------------------------------


;------------------------------------------------------
;
;------------------------------------------------------
.byte 0x1b,0x59,0x2b,0x2e,0x20,0x20,0x20,0x20,0x20,0x6e,0x61
;      АР2        +    .                             Н    А
;$1345 1b         dcx d
;$1346 59         mov e,c
;$1347 2b         dcx h
;$1348 2e 20      mvi l,$20
;$134a 20         ???
;$134b 20         ???
;$134c 20         ???
;$134d 20         ???
;$134e 6e         mov l,m
;$134f 61         mov h,c

.byte 0x76,0x6d,0x69,0x20,0x6b,0x6c,0x61,0x77,0x69,0x7b,0x75,0x20,0x5b,0x42,0x6b,0x5d
;       Ж    М    И         К    Л    А    В    И    Ш    У         [    B    К    ]
;$1350 76         hlt
;$1351 6d         mov l,l
;$1352 69         mov l,c
;$1353 20         ???
;$1354 6b         mov l,e
;$1355 6c         mov l,h
;$1356 61         mov h,c
;$1357 77         mov m,a
;$1358 69         mov l,c
;$1359 7b         mov a,e
;$135a 75         mov m,l
;$135b 20         ???
;$135c 5b         mov e,e
;$135d 42         mov b,d
;$135e 6b         mov l,e
;$135f 5d         mov e,l

.byte 0x20,0x21,0x20,0x20,0x20,0x20,0x00
;            !
;$1360 20         ???
;$1361 21 20 20   lxi h,$2020
;$1364 20         ???
;$1365 20         ???
;$1366 00         nop
;------------------------------------------------------


;------------------------------------------------------
.byte 0x1b,0x59,0x2b,0x2e,0x20,0x20,0x20,0x20,0x20
;      АР2        +    .
;$1367 1b         dcx d
;$1368 59         mov e,c
;$1369 2b         dcx h
;$136a 2e 20      mvi l,$20
;$136c 20         ???
;$136d 20         ???
;$136e 20         ???
;$136f 20         ???

.byte 0x7a,0x61,0x67,0x72,0x75,0x76,0x61,0x65,0x6d,0x20,0x20,0x20,0x20,0x20,0x20,0x20
;       З    А    Г    Р    У    Ж    А    Е    М
;$1370 7a         mov a,d
;$1371 61         mov h,c
;$1372 67         mov h,a
;$1373 72         mov m,d
;$1374 75         mov m,l
;$1375 76         hlt
;$1376 61         mov h,c
;$1377 65         mov h,l
;$1378 6d         mov l,l
;$1379 20         ???
;$137a 20         ???
;$137b 20         ???
;$137c 20         ???
;$137d 20         ???
;$137e 20         ???
;$137f 20         ???

.byte 0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x1b,0x59,0x2b,0x40,0x00
;                                              АР2        +    О
;$1380 20         ???
;$1381 20         ???
;$1382 20         ???
;$1383 20         ???
;$1384 20         ???
;$1385 20         ???
;$1386 20         ???
;$1387 20         ???
;$1388 1b         dcx d
;$1389 59         mov e,c
;$138a 2b         dcx h
;$138b 40         mov b,b
;$138c 00         nop
;------------------------------------------------------


;------------------------------------------------------
;
;------------------------------------------------------
.byte 0x1b,0x59,0x2b
;      АР2        +
;$138d 1b         dcx d
;$138e 59         mov e,c
;$138f 2b         dcx h

.byte 0x2e,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x6f,0x7b,0x69,0x62,0x6b,0x61,0x20,0x7e
;       .                                       О    Ш    И    Б    К    А         Ч
;$1390 2e 20      mvi l,$20
;$1392 20         ???
;$1393 20         ???
;$1394 20         ???
;$1395 20         ???
;$1396 20         ???
;$1397 20         ???
;$1398 6f         mov l,a
;$1399 7b         mov a,e
;$139a 69         mov l,c
;$139b 62         mov h,d
;$139c 6b         mov l,e
;$139d 61         mov h,c
;$139e 20         ???
;$139f 7e         mov a,m

.byte 0x74,0x65,0x6e,0x69,0x71,0x20,0x21,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x00
;       Т    Е    Н    И    Я         !
;$13a0 74         mov m,h
;$13a1 65         mov h,l
;$13a2 6e         mov l,m
;$13a3 69         mov l,c
;$13a4 71         mov m,c
;$13a5 20         ???
;$13a6 21 20 20   lxi h,$2020
;$13a9 20         ???
;$13aa 20         ???
;$13ab 20         ???
;$13ac 20         ???
;$13ad 20         ???
;$13ae 00         nop
;------------------------------------------------------


$13af 21 af 13   lxi h,$13af
$13b2 e5         push h
$13b3 cd 24 f8   call $f824
$13b6 da 27 14   jc $1427
               call TapeInput     ; $13b9 cd 06 f8
$13bc b7         ora a
$13bd c2 b3 13   jnz $13b3
$13c0 2a 7e 15   lhld $157e
$13c3 0e 08      mvi c,$08
               call TapeInput        ; $13c5 cd 06 f8
$13c8 da 27 14   jc $1427
$13cb 77         mov m,a
$13cc 23         inx h
$13cd 0d         dcr c
$13ce c2 c5 13   jnz $13c5
$13d1 e5         push h
               call TapeInput        ; $13d2 cd 06 f8
$13d5 da 27 14   jc $1427
$13d8 77         mov m,a
$13d9 23         inx h
$13da b7         ora a
$13db c2 d2 13   jnz $13d2
$13de e1         pop h
               call MsgToScr     ; $13df cd 18 f8
$13e2 cd 24 f8   call $f824
$13e5 da 27 14   jc $1427
$13e8 2a 7e 15   lhld $157e
$13eb 5e         mov e,m
$13ec 23         inx h
$13ed 56         mov d,m
$13ee 23         inx h
$13ef 7e         mov a,m
$13f0 23         inx h
$13f1 66         mov h,m
$13f2 6f         mov l,a
$13f3 eb         xchg
$13f4 e5         push h
               call TapeInput        ; $13f5 cd 06 f8
$13f8 da 27 14   jc $1427
$13fb 77         mov m,a
$13fc cd 21 14   call $1421
$13ff 23         inx h
$1400 c2 f5 13   jnz $13f5
$1403 e1         pop h
$1404 cd 2a f8   call $f82a
$1407 2a 7e 15   lhld $157e
$140a 23         inx h
$140b 23         inx h
$140c 23         inx h
$140d 23         inx h
$140e 5e         mov e,m
$140f 23         inx h
$1410 56         mov d,m
$1411 23         inx h
$1412 e5         push h
$1413 69         mov l,c
$1414 60         mov h,b
$1415 cd 21 14   call $1421
$1418 c2 27 14   jnz $1427
$141b e1         pop h
$141c 7e         mov a,m
$141d 23         inx h
$141e 66         mov h,m
$141f 6f         mov l,a
$1420 e9         pchl
$1421 7c         mov a,h
$1422 ba         cmp d
$1423 c0         rnz
$1424 7d         mov a,l
$1425 bb         cmp e
$1426 c9         ret
                  lxi h,$138d       ; $1427 21 8d 13  ; текстовые данные определены
                  call MsgToScr     ; $142a cd 18 f8
                  call KeyInput     ; $142d cd 1b f8
$1430 fe ff      cpi $ff
                  jnz m018      ; $1432 c2 f0 10
$1435 c3 2d 14   jmp $142d
                  lxi h,$11b9       ; $1438 21 b9 11  ; текстовые данные определены
                  call MsgToScr     ; $143b cd 18 f8
                  call KeyInput     ; $143e cd 1b f8
$1441 d6 30      sui $30
$1443 fa 3e 14   jm $143e
$1446 fe 09      cpi $09
$1448 d2 3e 14   jnc $143e
$144b 47         mov b,a
$144c 11 18 00   lxi d,$0018
$144f 21 9e 14   lxi h,$149e
$1452 af         xra a
$1453 b8         cmp b
$1454 ca 5c 14   jz $145c
$1457 19         dad d
$1458 3c         inr a
$1459 c3 53 14   jmp $1453
$145c 22 66 15   shld $1566
$145f 4e         mov c,m
$1460 23         inx h
$1461 46         mov b,m
$1462 23         inx h
$1463 5e         mov e,m
$1464 23         inx h
$1465 56         mov d,m
$1466 23         inx h
$1467 e5         push h
$1468 7e         mov a,m
$1469 23         inx h
$146a 66         mov h,m
$146b 6f         mov l,a
$146c e3         xthl
$146d 23         inx h
$146e 23         inx h
$146f 7e         mov a,m
$1470 23         inx h
$1471 66         mov h,m
$1472 6f         mov l,a
$1473 e3         xthl
$1474 eb         xchg
$1475 cd 8d 14   call $148d
$1478 02         stax b
$1479 03         inx b
$147a cd 21 14   call $1421
$147d 23         inx h
$147e c2 75 14   jnz $1475
$1481 e1         pop h
$1482 e9         pchl
$1483 2a 66 15   lhld $1566
$1486 11 08 00   lxi d,$0008
$1489 19         dad d
$148a c3 5c 14   jmp $145c
$148d 3e 90      mvi a,$90
$148f 32 03 e8   sta $e803
$1492 7d         mov a,l
$1493 32 01 e8   sta $e801
$1496 7c         mov a,h
$1497 32 02 e8   sta $e802
$149a 3a 00 e8   lda $e800
$149d c9         ret
$149e 00         nop
$149f 75         mov m,l
$14a0 ff         rst 7
$14a1 ff         rst 7
$14a2 ff         rst 7
$14a3 ff         rst 7
$14a4 83         add e
$14a5 14         inr d
$14a6 00         nop
$14a7 21 ff ff   lxi h,$ffff
$14aa ff         rst 7
$14ab ff         rst 7
$14ac 83         add e
$14ad 14         inr d
$14ae 00         nop
$14af 20         ???
$14b0 ff         rst 7
$14b1 ff         rst 7
$14b2 ff         rst 7
$14b3 ff         rst 7
$14b4 d0         rnc
$14b5 01 00 75   lxi b,$7500
$14b8 ff         rst 7
$14b9 ff         rst 7
$14ba ff         rst 7
$14bb ff         rst 7
$14bc 83         add e
$14bd 14         inr d
$14be 00         nop
$14bf 21 ff ff   lxi h,$ffff
$14c2 ff         rst 7
$14c3 ff         rst 7
$14c4 83         add e
$14c5 14         inr d
$14c6 00         nop
$14c7 20         ???
$14c8 ff         rst 7
$14c9 ff         rst 7
$14ca ff         rst 7
$14cb ff         rst 7
$14cc d0         rnc
$14cd 01 00 75   lxi b,$7500
$14d0 ff         rst 7
$14d1 ff         rst 7
$14d2 ff         rst 7
$14d3 ff         rst 7
$14d4 83         add e
$14d5 14         inr d
$14d6 00         nop
$14d7 21 ff ff   lxi h,$ffff
$14da ff         rst 7
$14db ff         rst 7
$14dc 83         add e
$14dd 14         inr d
$14de 00         nop
$14df 20         ???
$14e0 ff         rst 7
$14e1 ff         rst 7
$14e2 ff         rst 7
$14e3 ff         rst 7
$14e4 d0         rnc
$14e5 01 00 75   lxi b,$7500
$14e8 ff         rst 7
$14e9 ff         rst 7
$14ea ff         rst 7
$14eb ff         rst 7
$14ec 83         add e
$14ed 14         inr d
$14ee 00         nop
$14ef 21 ff ff   lxi h,$ffff
$14f2 ff         rst 7
$14f3 ff         rst 7
$14f4 83         add e
$14f5 14         inr d
$14f6 00         nop
$14f7 20         ???
$14f8 ff         rst 7
$14f9 ff         rst 7
$14fa ff         rst 7
$14fb ff         rst 7
$14fc d0         rnc
$14fd 01 00 75   lxi b,$7500
$1500 ff         rst 7
$1501 ff         rst 7
$1502 ff         rst 7
$1503 ff         rst 7
$1504 83         add e
$1505 14         inr d
$1506 00         nop
$1507 21 ff ff   lxi h,$ffff
$150a ff         rst 7
$150b ff         rst 7
$150c 83         add e
$150d 14         inr d
$150e 00         nop
$150f 20         ???
$1510 ff         rst 7
$1511 ff         rst 7
$1512 ff         rst 7
$1513 ff         rst 7
$1514 d0         rnc
$1515 01 00 75   lxi b,$7500
$1518 ff         rst 7
$1519 ff         rst 7
$151a ff         rst 7
$151b ff         rst 7
$151c 83         add e
$151d 14         inr d
$151e 00         nop
$151f 21 ff ff   lxi h,$ffff
$1522 ff         rst 7
$1523 ff         rst 7
$1524 83         add e
$1525 14         inr d
$1526 00         nop
$1527 20         ???
$1528 ff         rst 7
$1529 ff         rst 7
$152a ff         rst 7
$152b ff         rst 7
$152c d0         rnc
$152d 01 00 75   lxi b,$7500
$1530 ff         rst 7
$1531 ff         rst 7
$1532 ff         rst 7
$1533 ff         rst 7
$1534 83         add e
$1535 14         inr d
$1536 00         nop
$1537 21 ff ff   lxi h,$ffff
$153a ff         rst 7
$153b ff         rst 7
$153c 83         add e
$153d 14         inr d
$153e 00         nop
$153f 20         ???
$1540 ff         rst 7
$1541 ff         rst 7
$1542 ff         rst 7
$1543 ff         rst 7
$1544 d0         rnc
$1545 01 00 75   lxi b,$7500
$1548 ff         rst 7
$1549 ff         rst 7
$154a ff         rst 7
$154b ff         rst 7
$154c 83         add e
$154d 14         inr d
$154e 00         nop
$154f 21 ff ff   lxi h,$ffff
$1552 ff         rst 7
$1553 ff         rst 7
$1554 83         add e
$1555 14         inr d
$1556 00         nop
$1557 20         ???
$1558 ff         rst 7
$1559 ff         rst 7
$155a ff         rst 7
$155b ff         rst 7
$155c d0         rnc
$155d 01 00 20   lxi b,$2000
$1560 ff         rst 7
$1561 ff         rst 7
$1562 ff         rst 7
$1563 ff         rst 7
$1564 d0         rnc
$1565 01 c6 14   lxi b,$14c6
$1568 ff         rst 7
$1569 ff         rst 7
$156a ff         rst 7
$156b ff         rst 7
$156c 83         add e
$156d 14         inr d
$156e 00         nop
$156f 20         ???
$1570 ff         rst 7
$1571 ff         rst 7
$1572 ff         rst 7
$1573 ff         rst 7
$1574 d0         rnc
$1575 01 00 20   lxi b,$2000
$1578 ff         rst 7
$1579 ff         rst 7
$157a ff         rst 7
$157b ff         rst 7
$157c d0         rnc
$157d 01 00 00   lxi b,$0000
$1580 00         nop
$1581 00         nop
$1582 00         nop
$1583 00         nop
$1584 00         nop
$1585 00         nop
$1586 00         nop
$1587 00         nop
$1588 00         nop
$1589 00         nop
$158a 00         nop
$158b 00         nop
$158c 00         nop
$158d 00         nop
$158e 3a 03 00   lda $0003
